package org.jblooming.security.businessLogic;

import org.jblooming.persistence.exceptions.PersistenceException;
import org.jblooming.persistence.exceptions.RemoveException;
import org.jblooming.waf.ActionController;
import org.jblooming.waf.SessionState;
import org.jblooming.waf.constants.Commands;
import org.jblooming.waf.constants.Fields;
import org.jblooming.waf.constants.PlatformConstants;
import org.jblooming.waf.exceptions.ActionException;
import org.jblooming.waf.view.PageSeed;
import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created by IntelliJ IDEA.
 * User: angantcha
 * Date: 18-ott-2005
 * Time: 16.53.40
 * To change this template use File | Settings | File Templates.
 */
public class AffiliateController  implements ActionController {
  public String hrefAfterDelete;
  public boolean hasRoles;

  public PageState perform(HttpServletRequest request, HttpServletResponse response) throws PersistenceException, ActionException, org.jblooming.security.SecurityException {
    SessionState ss = SessionState.getSessionState(request);
    PageState pageState = (PageState) ss.getPageState(request, response);
    AffiliateAction affAction = new AffiliateAction();
    affAction.hasRoles = hasRoles;
    String command = pageState.getCommand();

    if (Commands.ADD.equals(command)) {
      affAction.cmdAdd(pageState);
    } else if (Commands.EDIT.equals(command) || Commands.DELETE_PREVIEW.equals(command)) {
      affAction.cmdEdit(pageState);
    } else if (Commands.SAVE.equals(command)) {
      try {
        affAction.cmdSave(pageState);
      } catch (ActionException ex) {}
    } else if (Commands.DELETE.equals(command)) {
      try {
        affAction.cmdDelete(pageState);
        PageSeed ps = new PageSeed(hrefAfterDelete);
        ps.setCommand(Commands.FIND);
        if (pageState.getEntry(Fields.APPLICATION_NAME).stringValueNullIfEmpty() != null)
          ps.addClientEntry(Fields.APPLICATION_NAME,pageState.getEntry(Fields.APPLICATION_NAME).stringValueNullIfEmpty());
        pageState.redirect(ps);
      } catch (RemoveException ex) {
        // in order to feedback operator il partDelete.jsp
        pageState.setAttribute(PlatformConstants.DELETE_EXCEPTION, ex);
      }
    } else {//if (Commands.FIND.equals(command)) {
      affAction.cmdFind(pageState);
    }

    return pageState;
  }
}
