package org.jblooming.system;

public interface SystemConstants {

  String SYSTEM = "SYSTEM";

// form fields

  String FLD_LOG_PLATFORM_LEVEL = "FLD_LOG_PLATFORM_LEVEL";
  String FLD_LOG_HIB_LEVEL = "FLD_LOG_HIB_LEVEL";
  String FLD_LOG_I18N_LEVEL = "FLD_LOG_I18N_LEVEL";
  String FLD_LOG_JOB_LEVEL = "FLD_LOG_JOB_LEVEL";

  String FLD_INDEX_EVERY_HOUR = SYSTEM + "FLD_INDEX_EVERY_HOUR";
  String FLD_MAX_FILE_SIZE = SYSTEM + "FLD_MAX_FILE_SIZE";
  String STORAGE_PATH_ALLOWED = "STORAGE_PATH_ALLOWED";

  String FLD_SERVER_CONFIG = "SERVER_CONFIG";
  String FLD_LOGGING = "LOGGING";
  String FLD_FILES = "DOC_FILES_LIST";

  String FLD_SERVER_TIME_ZONE = "SERVER_TIME_ZONE";
  String FLD_DEBUG_ON_SERVER = "DEBUG_ON_SERVER";
  String FLD_FRIENDLY_ERRORS = "FRIENDLY_ERRORS";
  String FLD_PERFORMANCE_TUNING = "PERFORMANCE_TUNING";
  String FLD_SCHEDULED_FREQ = "SCHEDULED_FREQ";

  String FLD_MAIL_SMTP = "MAIL_SMTP";
  String FLD_MAIL_USE_AUTHENTICATED = "MAIL_USE_AUTHENTICATED";
  String FLD_MAIL_USER = "MAIL_USER";
  String FLD_MAIL_PWD = "MAIL_PWD";
  String FLD_MAIL_FROM = "MAIL_FROM";

  String FLD_POP3_HOST = "POP3_HOST";
  String FLD_POP3_USER = "POP3_USER";
  String FLD_POP3_PSW = "POP3_PSW";


  String FLD_REPOSITORY_URL = "REPOSITORY_URL";
  String FLD_PRETTY_HTML = "PRETTY_HTML";

  String FLD_COUNTER_PREFIX = "COUNTER_PREFIX";
  String FLD_WORKING_DAY_SAT = "WORKING_DAY_SAT";

  String FLD_LOG_LOGIN = "LOG_LOGIN";
  String FLD_LOG_ERROR = "LOG_ERROR";
  String AUDIT = "AUDIT";
  String ENABLE_HTTP_AUTHENTICATION = "ENABLE_HTTP_AUTHENTICATION";


  String FLD_PASSWORD_EXPIRY = "FLD_PASSWORD_EXPIRY";
  String FLD_PASSWORD_MIN_LEN = "FLD_PASSWORD_MIN_LEN";
  String FLD_ENABLE_FORGOT_PASSWORD = "FLD_ENABLE_FORGOT_PASSWORD";

  String SATURDAY_IS_WORKING_DAY = "SATURDAY_IS_WORKING_DAY";
  String SUNDAY_IS_WORKING_DAY = "SUNDAY_IS_WORKING_DAY";

  // container constants
  String X = SYSTEM + 'X';
  String Y = SYSTEM + 'Y';
  String W = SYSTEM + 'W';
  String H = SYSTEM + 'H';

  String FLD_DOM_ID = SYSTEM + "FLD_DOM_ID";

// commands


// session scoped
// i18n

  String I18N_LOG = "LOG";
  String I18N_SYNCH = "SYNCH";
  String I18N_PERSISTENCE = "PERSISTENCE";
  String I18N_UPDATE_DB = "UPDATE_DB";
  String I18N_RELOAD_SETTINGS = "RELOAD_SETTINGS";

// configured urls
  String ROOT_ADMIN_PANEL = "ROOT_ADMIN_PANEL";

// errors
// other constants
  String ENABLE_STICKY_NOTES = "ENABLE_STICKY_NOTES";
  int DEFAULT_SESSION_EXPIRY = 29;

  String DEFAULT_DATE_FORMAT = "DEFAULT_DATE_FORMAT";
  String DEFAULT_HOUR_FORMAT = "DEFAULT_HOUR_FORMAT";
  String DEFAULT_TIMESTAMP_FORMAT = "DEFAULT_TIMESTAMP_FORMAT";

  String DEFAULT_DATE_DISPLAY_FORMAT = "DEFAULT_DATE_DISPLAY_FORMAT";

  String ACTIVE_LOCALES = "ACTIVE_LOCALES";
  String LOCALE = "LOCALE";

  String ALLOW_EMPTY_STRING_PSW = "ALLOW_EMPTY_STRING_PSW";

  String SAVE_LAST_FILTER= "SAVE_LAST_FILTER";
  String DEFAULT_STORAGE_TYPE = "DEFAULT_STORAGE_TYPE";
  String PUBLIC_SERVER_NAME="PUBLIC_SERVER_NAME";
  String PUBLIC_SERVER_PORT="PUBLIC_SERVER_PORT";

  String DB_UPDATE_DONE="DB_UPDATE_DONE";
  String NOTIFIED_ADMIN_WIZARDS="NOTIFIED_ADMIN_WIZARDS";

  String CURRENCY_FORMAT="CURRENCY_FORMAT";

  String PRINT_LOGO="PRINT_LOGO";

  String ADMIN_MESSAGE = "ADMIN_MESSAGE";
  
  String PAGE_PLUGINS = "PAGE_PLUGINS";
}





