package org.jblooming.utilities;

import org.jblooming.tracer.Tracer;

import java.util.HashSet;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public class FinalSet extends HashSet {

  public boolean add(Object key) {
    if (this.contains(key)) {
      Tracer.platformLogger.warn("FinalSet.put duplicated put for element : \"" + key+"\"");
      //System.out.println("duplicated put for element : " + key);
      //throw new PlatformRuntimeException("This map doesn't support duplicated put for key.\nKey : "+key + " Value: " + value);
      return super.add(key);
    }
    return super.add(key);
  }

}
