package org.jblooming.utilities.math;

import antlr.RecognitionException;
import antlr.TokenStreamException;

import java.io.Reader;
import java.io.StringReader;


/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 */
public class MathParse {


   public static double parse(String exp) throws TokenStreamException, RecognitionException {

    Reader reader = new StringReader(exp);
    ExprLexer lexer = new ExprLexer(reader);
    ExprParser parser = new ExprParser(lexer);
    double result = parser.expr();
    return result;
  }


}
