package org.jblooming.waf.constants;

public interface OperatorConstants extends SecuredNodeConstants {

  // form fields
  String FLD_ID = "FLD_ID";
  String FLD_NAME = "FLD_NAME";
  String FLD_SURNAME = "FLD_SURNAME";
  String FLD_IS_ENABLED = "FLD_IS_ENABLED";
  String FLD_LOGOUT_TIME = "LOGOUT_TIME";
  String FLD_LOGIN_COOKIES = "LOGIN_COOKIES";
  String FLD_PAGE_HEIGHT = "PAGE_HEIGHT";
  String FLD_PAGE_WIDTH = "PAGE_WIDTH";
  String RECENT_VIEWS_SIZE = "RECENT_VIEWS_SIZE";
  String FLD_WORKING_HOUR_BEGIN = "WORKING_HOUR_BEGIN";
  String FLD_WORKING_HOUR_END = "WORKING_HOUR_END";
  String FLD_WORKING_HOUR_TOTAL = "WORKING_HOUR_TOTAL";
  String FLD_ENABLE_VERSION_AUTO = "ENABLE_VERSION_AUTO";
  String FLD_CLIENT_TIME_ZONE = "CLIENT_TIME_ZONE";
  String FLD_HOUR_DAY_START = "HOUR_DAY_START";
  String FLD_HOUR_DAY_END = "HOUR_DAY_END";
  String FLD_STICKY_BY_MAIL = "STICKY_BY_MAIL";
  String FLD_SELECT_LANG = "SELECT_LANG";
  String FLD_CURRENT_SKIN = "CURRENT_SKIN";

  // operator editor
  String FLD_PIQ = "USER_PIQ"; //personal identification question
  String FLD_PIA = "USER_PIA"; //personal identification answer
  String FLD_WORK_YEAR = "FLD_WORK_YEAR";
  String FLD_LOGIN_NAME = "FLD_LOGIN_NAME";
  String FLD_PWD = "FLD_PWD";
  String FLD_PWD_RETYPE = "FLD_PWD_RETYPE";
  String FLD_LOGIN_NEW_PWD = "USER_LOGIN_NEW_PWD";
  String FLD_LOGIN_NEW_PWD_RETYPE = "USER_LOGIN_NEW_PWD_RETYPE";
  String FLD_FORGOT_PSW = "FLD_FORGOT_PSW";
  String FLD_MAIL_SENT = "FLD_MAIL_SENT";
  String FLD_ADMINISTRATOR = "FLD_ADMINISTRATOR";
  String FLD_REQUIRE_EMAIL = "FLD_REQUIRE_EMAIL";
  String FLD_DEFAULT_MSG_CHANNEL = "FLD_DEFAULT_MSG_CHANNEL";
 
// commands

// session scoped

// i18n
  String OPERATOR_OPTIONS = "OPERATOR_OPTIONS";

// errors
  String ERR_OPERATOR_DISABLED ="ERR_OPERATOR_DISABLED";
  String ERR_OPERATOR_OUTSIDE_TIME_WINDOW ="ERR_OPERATOR_OUTSIDE_TIME_WINDOW";
  String ERR_INVALID_LOGIN = "ERR_INVALID_LOGIN";
  String ERR_PASSWORD_TOO_SHORT = "ERR_PASSWORD_TOO_SHORT";
  String ERR_PASSWORD_MUST_BE_IDENTICAL = "ERR_PASSWORD_MUST_BE_IDENTICAL";
  String ERR_EXPIRED = "ERR_EXPIRED";
  String ERR_USER_DISABLED = "ERR_USER_DISABLED";

  // other constants
  int SYSTEM_OPERATOR_ID = -2;
  String SYSTEM_OPERATOR = "SYSTEM_OPERATOR";

  String PASSWORD_MASK = "0_12345678_9";

  String OP_PAGE_SIZE = "OP_PAGE_SIZE";


  String INHIBIT_TOOLTIPS = "INHIBIT_TOOLTIPS";
  String SEND_EVENT_BY_ICAL = "SEND_EVENT_BY_ICAL";
  String MEDIA_PREFERRED_CHANNEL = "MEDIA_PREFERRED_CHANNEL";

}
