package org.jblooming.waf.html.button;

/**
 * @author Pietro Polsinelli : ppolsinelli@open-lab.com
 */
public interface Button {
  String getId();

  String generateLaunchJs();

  String getLabel();

  boolean isEnabled();

  String getToolTip();

  void addKeyPressControl(int keyToHandle, String launchedJs, String actionListened);

  String getActionListened();

  void setActionListened(String actionListened);

  int getKeyToHandle();

  void setKeyToHandle(int keyToHandle);

  String getLaunchedJsOnActionListened();

  void setLaunchedJsOnActionListened(String launchedJsOnActionListened);

  String getWidth();

  void setWidth(String string);

}
