package org.jblooming.waf.html.container;

import org.jblooming.waf.view.PageState;

/**
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 *         Date: 10-mar-2006 : 15.42.29
 */
public class  Window extends Container {

  public static final String init = Window.class.getName();


  public Window(PageState pageState) {
      this(null, pageState);
  }

  public Window(String id, PageState pageState) {
      this(id,0,pageState);
  }

  public Window(String id, int level, PageState pageState) {
    super(id,level,pageState);
    this.urlToInclude = "/commons/layout/partWindow.jsp";
    pageState.htmlBootstrappers.add(this);
    this.draggable=true;
    this.collapsable=true;
    this.resizable=true;
    this.width="200";
    this.height="300";

  }

}
