package org.jblooming.waf.html.core;

import javax.servlet.ServletException;
import javax.servlet.jsp.PageContext;
import java.io.IOException;


public interface HtmlFinalizer extends HtmlBootstrap{

  /**
   *  This method is called before validate. should be implemented when the component needs some extra script or something else at the end of the page
   * @param pageContext
   * @throws IOException
   * @throws ServletException
   */
  void finalize(PageContext pageContext) throws IOException, ServletException;
  String FINALIZE = "JSPFINALIZE";
  

}
