package org.jblooming.waf.html.display;

import org.jblooming.waf.html.core.JspHelper;

public class PercentileDisplay extends JspHelper {

  public static final String init = PercentileDisplay.class.getName();

  public static final String PERC_DRAW = "PERC_DRAW";

  /**
   * size in pixel
   */
  public int height =20;
  public int width =100;

  public String backgroundColor ="#ffffff";
  public String percentileColor ="#00ff00";
  public String percentileFontColor ="#000000";
  public String percentileOverflowColor ="#ff0000";

  public String percentileFontHeight =null;
  public String style;
  public String additionalOnClickScript;
  public String script;

  public double percentile;
  public boolean showLabel=true;
  public int fractionDigits=2;

  public PercentileDisplay(double percentile) {
    this.urlToInclude = "/commons/layout/partPercentileDisplay.jsp";
    this.percentile = percentile;
  }

  public String getDiscriminator() {
    return id;
  }

}
