package org.jblooming.waf.html.input;

import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

public class TreeCombo extends SmartCombo{

  public String parentId = null;
  public Class clazz = null;
  public String alias = null;

  public TreeCombo() {
    this.urlToInclude = "/commons/layout/partTreeCombo.jsp";
  }

  public TreeCombo(String fieldName, Class clazz, String hql, String whereForFiltering, String whereForId, String alias, String parentId) {
    super(fieldName, hql, whereForFiltering, whereForId);
    this.parentId = parentId;
    this.clazz = clazz;
    this.alias = alias;
    this.urlToInclude = "/commons/layout/partTreeCombo.jsp";
  }

  public void toHtml(PageContext pageContext) {
//    if (classic) {
//      this.urlToInclude = "/commons/layout/partCombo.jsp";
//    } else {
//      if (shooted)
//        throw new RuntimeException("You cannot call toHtml twice in case of TreeCombo");
//      shooted = true;
//
//      init(pageContext);
//
//    }
    pageContext.getRequest().setAttribute(ACTION, DRAW_INPUT);
    super.toHtml(pageContext);
  }

  private void init(PageContext pageContext) {
    PageState ps = PageState.getCurrentPageState((HttpServletRequest) pageContext.getRequest());
    if (!ps.initedElements.contains(getDiscriminator())) {
      pageContext.getRequest().setAttribute(ACTION, INITIALIZE);
      super.toHtml(pageContext);
      ps.initedElements.add(getDiscriminator());
    }
  }
}
