package org.jblooming.waf.html.input;

import org.jblooming.waf.html.core.JspHelper;
import org.jblooming.waf.settings.ApplicationState;

import javax.servlet.jsp.PageContext;
import java.io.Serializable;


/**
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 *         Date: 23-feb-2007 : 15.22.38
 */
public class UrlFileStorage extends JspHelper {

  public boolean readOnly=false;
  public static final String DRAW = "DRAW";
  public String fieldName;

  public String explorerPart = ApplicationState.contextPath + "/commons/document/explorer.jsp";
  public String popupPart = ApplicationState.contextPath + "/commons/document/popUpFileStorage.jsp";
  public String separator="&sbsp;";
  public String label;
  public Serializable referralObjectId;

  public UrlFileStorage(String fieldName) {
    this.urlToInclude = "/commons/layout/partUrlFileStorage.jsp";
    this.fieldName=fieldName;
    this.id=fieldName;
  }

  /*public void addKeyPressControl(int keyToHandle, String launchedJs, String actionListened) {
    setAddKeyPressC(true);
    this.setKeyToHandle(keyToHandle);
    this.setLaunchedJsOnActionListened(launchedJs);
    this.setActionListened(actionListened);
  }*/

  public String getDiscriminator() {
    return UrlFileStorage.class.getName();
  }

  
  public void toHtml(PageContext pageContext) {
    pageContext.getRequest().setAttribute(ACTION, DRAW);
    super.toHtml(pageContext);
  }


}
