package org.jblooming.waf.html.layout;

import org.jblooming.waf.html.button.ButtonLink;
import org.jblooming.waf.view.PageSeed;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

public class MakeFrame {
  public static String page = "/commons/layout/partMakeFrame.jsp";

  public static PageSeed getLink(String url, HttpServletRequest request) {
    return getLink(url,"","",request);
  }

  public static PageSeed getLink(String url, String title1, String title2,HttpServletRequest request) {
    PageSeed urlStat = new PageSeed(request.getContextPath() + page);
    urlStat.addClientEntry("LINK", url);
    urlStat.addClientEntry("title1",title1);
    urlStat.addClientEntry("title2",title2);
    return urlStat;
  }

  public static ButtonLink getTextualInstance(String url, String label, String title1, String title2,HttpServletRequest request) {
    return ButtonLink.getTextualInstance( label, getLink(url,  title1,  title2, request));
  }

  public static ButtonLink getButton(String url, String label, String title1, String title2,HttpServletRequest request) {
    return new ButtonLink ( label, getLink(url,  title1,  title2, request));
  }

  public static void toHtml(String url, String label, String title1, String title2, PageContext pageContext){
    getTextualInstance(url,label,title1, title2,(HttpServletRequest)pageContext.getRequest()).toHtml(pageContext);
  }
}
