package org.jblooming.waf.html.layout;

import javax.servlet.http.HttpServletRequest;


/**
 * @author Pietro Polsinelli : ppolsinelli@open-lab.com
 */
public class Skin {

  public String name;
  public String css;
  public String cssPlus;
  /**
   * @deprecated all parts are in commons/layout
   */
  public String partsPath;
  
  public String imgPath;
  public String imgPathPlus;
  public String buttonFont;

  public String frontEndImgPath;
  public String frontEndCss;
  public String frontEndPartsPath;

  public boolean cssLoaded;
  public String textButton;
  public boolean colorsLoaded = false;
  public String COLOR_TEXT_MAIN;
  public String COLOR_TEXT_LINK;
  public String COLOR_TEXT_TITLE;
  public String COLOR_BACKGROUND_MAIN;
  public String COLOR_BACKGROUND_TITLE;
  public String COLOR_BACKGROUND_TOOLBAR;
  public String COLOR_BACKGROUND_TITLE01;
  public String COLOR_BACKGROUND_TITLE02;
  public String COLOR_BACKGROUND_CONTENT;
  public String COLOR_WARNING;
  public String COLOR_FEEDBACK;
  public String COLOR_MENU01;
  public String COLOR_MENU02;
  public String COLOR_DEPTH;

  public String COLOR_TEXT_TOOLBAR;
  public static final String LOAD_COLORS = "LC";

  public void setAppImgPath(String applicationRootFolder, HttpServletRequest request) {
    final String contextPath = request.getContextPath();
    setAppImgPath(applicationRootFolder, contextPath);
  }

  public void setAppImgPath(String applicationRootFolder, String contextPath) {
    if (imgPathPlus == null) {
      final String s = contextPath+ "/" + applicationRootFolder;
      imgPathPlus = s + "/images/";
    }
  }

  public void setFrontEndSkin(String pathToImages, String css, String partsPath) {
    frontEndImgPath = pathToImages;
    frontEndCss = css;
    frontEndPartsPath = partsPath;
  }

  /**
   * @deprecated use css functionality or local additions
   */
  public String getCssPlus() {
    return cssPlus;
  }

  /**
   * @deprecated use css functionality or local additions
   */
  public void setCssPlus(String cssPlus) {
    this.cssPlus = cssPlus;
  }


}
