package com.opnlb.rss.waf;

import org.jblooming.waf.ScreenArea;
import org.jblooming.waf.ScreenBasic;
import org.jblooming.waf.html.menu.Menu;
import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

/**
 * WebSiteHBFScreen (c) 2005 - Open Lab - www.open-lab.com
 */
public class RSSHBFScreen  extends ScreenBasic {

  public RSSHBFScreen() {
    super();
  }

  public RSSHBFScreen(ScreenArea body, PageContext pageContext) {
    super(body, pageContext);
    initialize(body);
    Menu root = new Menu("ROOT");
    PageState pageState =  PageState.getCurrentPageState((HttpServletRequest) pageContext.getRequest()) ;
    pageState.menu = root;
    root.initialize("/applications/rss/backoffice/parts/rssMenuDef.jsp", pageContext);
  }

  public RSSHBFScreen(ScreenArea body) {
    initialize(body);
  }

  public void initialize(ScreenArea body) {
    setBody(body);
    urlToInclude = "/applications/rss/backoffice/screens/rssScreen.jsp";
    menu = new ScreenArea("/applications/rss/backoffice/parts/rssMenu.jsp");
  }
}
