package com.opnlb.website;

import com.opnlb.website.template.Template;
import org.jblooming.ontology.IdentifiableSupport;

/**
 * WebsiteArea (c) 2005 - Open Lab - www.open-lab.com
 */
public class WebsiteArea  extends IdentifiableSupport {

  private String name;
  private boolean customizable = true;
  private Template template;
  //private Impaginazione impaginaz;
  // SERVE?
  //private String  impaginazioneId;

  private int width = 0;


  /**
   * CONSTRUCTORS
   */
  public WebsiteArea () {
  }

  protected WebsiteArea( String name) {
    this.name = name;
    //this.impaginazioneId = layoutId;
  }

  protected WebsiteArea( String name, String layoutId) {
    this.name = name;
    //this.impaginazioneId = layoutId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public boolean isCustomizable() {
    return customizable;
  }

  public void setCustomizable(boolean customizable) {
    this.customizable = customizable;
  }

  public Template getTemplate() {
    return template;
  }

  public void setTemplate(Template template) {
    this.template = template;
  }

  public int getWidth() {
    return width;
  }

  public void setWidth(int width) {
    this.width = width;
  }
}
