package com.opnlb.website.htmlParser.parser;


public class HtmlParserTokenManager implements HtmlParserConstants {

  private final int jjStopStringLiteralDfa_6(int pos, long active0){
    switch (pos){
      default :
        return -1;
    }
  }

  private final int jjStartNfa_6(int pos, long active0) {
    return jjMoveNfa_6(jjStopStringLiteralDfa_6(pos, active0), pos + 1);
  }

  private final int jjStopAtPos(int pos, int kind){
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    return pos + 1;
  }

  private final int jjStartNfaWithStates_6(int pos, int kind, int state){
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_6(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_6(){
    switch(curChar) {
      case 60:
        jjmatchedKind = 12;
        return jjMoveStringLiteralDfa1_6(0xe000L);
      default :
        return jjMoveNfa_6(5, 0);
    }
  }

  private final int jjMoveStringLiteralDfa1_6(long active0){
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_6(0, active0);
      return 1;
    }
    switch(curChar) {
      case 33:
        if ((active0 & 0x8000L) != 0L) {
          jjmatchedKind = 15;
          jjmatchedPos = 1;
        }
        return jjMoveStringLiteralDfa2_6(active0, 0x4000L);

      case 47:
        if ((active0 & 0x2000L) != 0L)
          return jjStopAtPos(1, 13);
        break;

      default :
        break;
    }
    return jjStartNfa_6(0, active0);
  }

  private final int jjMoveStringLiteralDfa2_6(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_6(0, old0);

    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_6(1, active0);
      return 2;
    }
    switch(curChar) {
      case 45:
        return jjMoveStringLiteralDfa3_6(active0, 0x4000L);
      default :
        break;
    }
    return jjStartNfa_6(1, active0);
  }

  private final int jjMoveStringLiteralDfa3_6(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_6(1, old0);

    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_6(2, active0);
      return 3;
    }
    switch(curChar) {
      case 45:
        if ((active0 & 0x4000L) != 0L)
          return jjStopAtPos(3, 14);
        break;
      default :
        break;
    }
    return jjStartNfa_6(2, active0);
  }

  private final void jjCheckNAdd(int state) {
    if (jjrounds[state] != jjround) {
      jjstateSet[jjnewStateCnt++] = state;
      jjrounds[state] = jjround;
    }
  }

  private final void jjAddStates(int start, int end) {
    do {
      jjstateSet[jjnewStateCnt++] = jjnextStates[start];
    } while (start++ != end);
  }

  private final void jjCheckNAddTwoStates(int state1, int state2) {
    jjCheckNAdd(state1);
    jjCheckNAdd(state2);
  }

  private final void jjCheckNAddStates(int start, int end) {
    do {
      jjCheckNAdd(jjnextStates[start]);
    } while (start++ != end);
  }

  private final void jjCheckNAddStates(int start) {
    jjCheckNAdd(jjnextStates[start]);
    jjCheckNAdd(jjnextStates[start + 1]);
  }

  static final long[] jjbitVec0 = {
    0x0L, 0x0L, 0xffffffffffffffffL, 0xffffffffffffffffL
  };

  private final int jjMoveNfa_6(int startState, int curPos) {

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 12;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;
    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();
      if (curChar < 64) {
        long l = 1L << curChar;
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 5:
              if ((0xefffff7bffffdbffL & l) != 0L) {
                if (kind > 16)
                  kind = 16;
                jjCheckNAdd(4);
              } else if ((0x8400000000L & l) != 0L) {
                if (kind > 18)
                  kind = 18;
              } else if ((0x2400L & l) != 0L) {
                if (kind > 11)
                  kind = 11;
              }

              if ((0x100000200L & l) != 0L)
                jjCheckNAddStates(0, 2);
              else if (curChar == 34)
                jjCheckNAddTwoStates(9, 10);
              else if (curChar == 39)
                jjCheckNAddTwoStates(6, 7);
              else if (curChar == 13)
                jjstateSet[jjnewStateCnt++] = 1;
              break;

            case 0:
              if ((0x100000200L & l) != 0L)
                jjCheckNAddStates(0, 2);
              break;
            case 1:
              if (curChar == 10 && kind > 11)
                kind = 11;
              break;
            case 2:
              if (curChar == 13)
                jjstateSet[jjnewStateCnt++] = 1;
              break;
            case 3:
              if ((0x2400L & l) != 0L && kind > 11)
                kind = 11;
              break;
            case 4:
              if ((0xefffff7bffffdbffL & l) == 0L)
                break;
              if (kind > 16)
                kind = 16;
              jjCheckNAdd(4);
              break;
            case 6:
              if ((0xffffff7fffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(6, 7);
              break;
            case 7:
              if (curChar == 39 && kind > 17)
                kind = 17;
              break;
            case 8:
              if (curChar == 34)
                jjCheckNAddTwoStates(9, 10);
              break;
            case 9:
              if ((0xfffffffbffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(9, 10);
              break;
            case 10:
              if (curChar == 34 && kind > 17)
                kind = 17;
              break;
            case 11:
              if ((0x8400000000L & l) != 0L && kind > 18)
                kind = 18;
              break;
            default : break;
          }

        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 5:
            case 4:
              if (kind > 16)
                kind = 16;
              jjCheckNAdd(4);
              break;
            case 6:
              jjAddStates(3, 4);
              break;
            case 9:
              jjAddStates(5, 6);
              break;
            default : break;
          }

        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 5:
            case 4:
              if ((jjbitVec0[i2] & l2) == 0L)
                break;
              if (kind > 16)
                kind = 16;
              jjCheckNAdd(4);
              break;
            case 6:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(3, 4);
              break;
            case 9:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(5, 6);
              break;
            default : break;
          }
        } while(i != startsAt);
      }

      if (kind != 0x7fffffff) {
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }

      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 12 - (jjnewStateCnt = startsAt)))
        return curPos;
      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjStopStringLiteralDfa_4(int pos, long active0) {
    switch (pos) {
      default :
        return -1;
    }
  }

  private final int jjStartNfa_4(int pos, long active0) {
    return jjMoveNfa_4(jjStopStringLiteralDfa_4(pos, active0), pos + 1);
  }

  private final int jjStartNfaWithStates_4(int pos, int kind, int state) {
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_4(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_4() {
    switch(curChar) {
      case 60:
        return jjStopAtPos(0, 26);
      case 61:
        return jjStopAtPos(0, 25);
      case 62:
        return jjStopAtPos(0, 24);
      default :
        return jjMoveNfa_4(1, 0);
    }
  }

  private final int jjMoveNfa_4(int startState, int curPos) {
    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 3;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();
      if (curChar < 64) {
        long l = 1L << curChar;
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
            case 0:
              if ((0x100002600L & l) == 0L)
                break;
              kind = 22;
              jjCheckNAdd(0);
              break;
            case 2:
              if ((0x3ff600000000000L & l) == 0L)
                break;
              kind = 23;
              jjstateSet[jjnewStateCnt++] = 2;
              break;
            default : break;
          }
        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
              if ((0x7fffffe07fffffeL & l) == 0L)
                break;
              if (kind > 23)
                kind = 23;
              jjCheckNAdd(2);
              break;
            case 2:
              if ((0x7fffffe87fffffeL & l) == 0L)
                break;
              if (kind > 23)
                kind = 23;
              jjCheckNAdd(2);
              break;
            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            default : break;
          }
        } while(i != startsAt);
      }

      if (kind != 0x7fffffff) {
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 3 - (jjnewStateCnt = startsAt)))
        return curPos;

      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjMoveStringLiteralDfa0_3() {
    return jjMoveNfa_3(0, 0);
  }

  private final int jjMoveNfa_3(int startState, int curPos) {

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 8;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();
      if (curChar < 64) {
        long l = 1L << curChar;
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 0:
              if ((0xbfffff7affffd9ffL & l) != 0L) {
                if (kind > 29)
                  kind = 29;
                jjCheckNAdd(1);

              } else if ((0x100002600L & l) != 0L) {
                if (kind > 28)
                  kind = 28;

              } else if (curChar == 39)
                jjCheckNAddTwoStates(6, 7);
              else if (curChar == 34)
                jjCheckNAddTwoStates(3, 4);
              break;

            case 1:
              if ((0xbfffff7affffd9ffL & l) == 0L)
                break;
              if (kind > 29)
                kind = 29;
              jjCheckNAdd(1);
              break;

            case 2:
              if (curChar == 34)
                jjCheckNAddTwoStates(3, 4);
              break;

            case 3:
              if ((0xfffffffbffffffffL & l) != 0L)
                jjCheckNAddTwoStates(3, 4);
              break;

            case 4:
              if (curChar == 34 && kind > 29)
                kind = 29;
              break;

            case 5:
              if (curChar == 39)
                jjCheckNAddTwoStates(6, 7);
              break;

            case 6:
              if ((0xffffff7fffffffffL & l) != 0L)
                jjCheckNAddTwoStates(6, 7);
              break;

            case 7:
              if (curChar == 39 && kind > 29)
                kind = 29;
              break;

            default : break;
          }
        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 0:
            case 1:
              if (kind > 29)
                kind = 29;
              jjCheckNAdd(1);
              break;
            case 3:
              jjAddStates(7, 8);
              break;
            case 6:
              jjAddStates(3, 4);
              break;
            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 0:
            case 1:
              if ((jjbitVec0[i2] & l2) == 0L)
                break;
              if (kind > 29)
                kind = 29;
              jjCheckNAdd(1);
              break;
            case 3:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(7, 8);
              break;
            case 6:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(3, 4);
              break;
            default : break;
          }
        } while(i != startsAt);
      }

      if (kind != 0x7fffffff) {
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 8 - (jjnewStateCnt = startsAt)))
        return curPos;

      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjStopStringLiteralDfa_5(int pos, long active0) {

    switch (pos) {
      case 0:
        if ((active0 & 0x80000L) != 0L) {
          jjmatchedKind = 20;
          return 1;
        }
        return -1;

      case 1:
        if ((active0 & 0x80000L) != 0L) {
          jjmatchedKind = 20;
          jjmatchedPos = 1;
          return 1;
        }
        return -1;

      case 2:
        if ((active0 & 0x80000L) != 0L) {
          jjmatchedKind = 20;
          jjmatchedPos = 2;
          return 1;
        }
        return -1;

      case 3:
        if ((active0 & 0x80000L) != 0L) {
          jjmatchedKind = 20;
          jjmatchedPos = 3;
          return 1;
        }
        return -1;

      case 4:
        if ((active0 & 0x80000L) != 0L) {
          jjmatchedKind = 20;
          jjmatchedPos = 4;
          return 1;
        }
        return -1;

      default :
        return -1;
    }
  }

  private final int jjStartNfa_5(int pos, long active0) {
    return jjMoveNfa_5(jjStopStringLiteralDfa_5(pos, active0), pos + 1);
  }

  private final int jjStartNfaWithStates_5(int pos, int kind, int state) {
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_5(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_5() {
    switch(curChar) {
      case 83:
      case 115:
        return jjMoveStringLiteralDfa1_5(0x80000L);
      default :
        return jjMoveNfa_5(0, 0);
    }
  }

  private final int jjMoveStringLiteralDfa1_5(long active0) {
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_5(0, active0);
      return 1;
    }
    switch(curChar) {
      case 67:
      case 99:
        return jjMoveStringLiteralDfa2_5(active0, 0x80000L);
      default :
        break;
    }
    return jjStartNfa_5(0, active0);
  }

  private final int jjMoveStringLiteralDfa2_5(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_5(0, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_5(1, active0);
      return 2;
    }
    switch(curChar) {
      case 82:
      case 114:
        return jjMoveStringLiteralDfa3_5(active0, 0x80000L);
      default :
        break;
    }
    return jjStartNfa_5(1, active0);
  }

  private final int jjMoveStringLiteralDfa3_5(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_5(1, old0);
    try { curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_5(2, active0);
      return 3;
    }
    switch(curChar) {
      case 73:
      case 105:
        return jjMoveStringLiteralDfa4_5(active0, 0x80000L);
      default :
        break;
    }
    return jjStartNfa_5(2, active0);
  }

  private final int jjMoveStringLiteralDfa4_5(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_5(2, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_5(3, active0);
      return 4;
    }
    switch(curChar) {
      case 80:
      case 112:
        return jjMoveStringLiteralDfa5_5(active0, 0x80000L);
      default :
        break;
    }
    return jjStartNfa_5(3, active0);
  }

  private final int jjMoveStringLiteralDfa5_5(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_5(3, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_5(4, active0);
      return 5;
    }
    switch(curChar){
      case 84:
      case 116:
        if ((active0 & 0x80000L) != 0L)
          return jjStartNfaWithStates_5(5, 19, 1);
        break;
      default :
        break;
    }
    return jjStartNfa_5(4, active0);
  }

  private final int jjMoveNfa_5(int startState, int curPos) {

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 2;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();

      if (curChar < 64) {
        long l = 1L << curChar;
        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
              if ((0x3ff600000000000L & l) == 0L)
                break;
              kind = 20;
              jjstateSet[jjnewStateCnt++] = 1;
              break;
            default : break;
          }
        } while(i != startsAt);

      }else if (curChar < 128) {
        long l = 1L << (curChar & 077);

        MatchLoop: do{
          switch(jjstateSet[--i]){
            case 0:
              if ((0x7fffffe07fffffeL & l) == 0L)
                break;
              if (kind > 20)
                kind = 20;
              jjCheckNAdd(1);
              break;

            case 1:
              if ((0x7fffffe87fffffeL & l) == 0L)
                break;
              if (kind > 20)
                kind = 20;
              jjCheckNAdd(1);
              break;
            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);

        MatchLoop: do{
          switch(jjstateSet[--i]){
            default : break;
          }
        } while(i != startsAt);
      }
      if (kind != 0x7fffffff) {
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 2 - (jjnewStateCnt = startsAt)))
        return curPos;
      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjStopStringLiteralDfa_0(int pos, long active0){
    switch (pos){
      default :
        return -1;
    }
  }

  private final int jjStartNfa_0(int pos, long active0){
    return jjMoveNfa_0(jjStopStringLiteralDfa_0(pos, active0), pos + 1);
  }

  private final int jjStartNfaWithStates_0(int pos, int kind, int state) {
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_0(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_0() {
    switch(curChar){
      case 60:
        jjmatchedKind = 39;
        return jjMoveStringLiteralDfa1_0(0x2000000000L);
      default :
        return jjMoveNfa_0(1, 0);
    }
  }

  private final int jjMoveStringLiteralDfa1_0(long active0) {
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(0, active0);
      return 1;
    }
    switch(curChar){
      case 47:
        return jjMoveStringLiteralDfa2_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(0, active0);
  }

  private final int jjMoveStringLiteralDfa2_0(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(0, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(1, active0);
      return 2;
    }
    switch(curChar){
      case 83:
      case 115:
        return jjMoveStringLiteralDfa3_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(1, active0);
  }

  private final int jjMoveStringLiteralDfa3_0(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(1, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(2, active0);
      return 3;
    }
    switch(curChar){
      case 67:
      case 99:
        return jjMoveStringLiteralDfa4_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(2, active0);
  }

  private final int jjMoveStringLiteralDfa4_0(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(2, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(3, active0);
      return 4;
    }
    switch(curChar){
      case 82:
      case 114:
        return jjMoveStringLiteralDfa5_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(3, active0);
  }

  private final int jjMoveStringLiteralDfa5_0(long old0, long active0){
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(3, old0);
    try {
      curChar = input_stream.readChar();
    }catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(4, active0);
      return 5;
    }
    switch(curChar) {
      case 73:
      case 105:
        return jjMoveStringLiteralDfa6_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(4, active0);
  }

  private final int jjMoveStringLiteralDfa6_0(long old0, long active0){
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(4, old0);
    try {
      curChar = input_stream.readChar();
    }catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(5, active0);
      return 6;
    }
    switch(curChar) {
      case 80:
      case 112:
        return jjMoveStringLiteralDfa7_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(5, active0);
  }

  private final int jjMoveStringLiteralDfa7_0(long old0, long active0){
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(5, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(6, active0);
      return 7;
    }
    switch(curChar){
      case 84:
      case 116:
        return jjMoveStringLiteralDfa8_0(active0, 0x2000000000L);
      default :
        break;
    }
    return jjStartNfa_0(6, active0);
  }

  private final int jjMoveStringLiteralDfa8_0(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_0(6, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_0(7, active0);
      return 8;
    }
    switch(curChar){
      case 62:
        if ((active0 & 0x2000000000L) != 0L)
          return jjStopAtPos(8, 37);
        break;
      default :
        break;
    }
    return jjStartNfa_0(7, active0);
  }

  private final int jjMoveNfa_0(int startState, int curPos) {

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 11;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();

      if (curChar < 64) {
        long l = 1L << curChar;

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
              if ((0xefffff7bffffdbffL & l) != 0L) {
                if (kind > 40)
                  kind = 40;
                jjCheckNAdd(3);
              } else if ((0x8400000000L & l) != 0L){
                if (kind > 40)
                  kind = 40;
              } else if ((0x2400L & l) != 0L) {
                if (kind > 38)
                  kind = 38;
              }

              if (curChar == 39)
                jjCheckNAddTwoStates(8, 9);
              else if (curChar == 34)
                jjCheckNAddTwoStates(5, 6);
              else if (curChar == 13)
                jjstateSet[jjnewStateCnt++] = 0;
              break;

            case 0:
              if (curChar == 10 && kind > 38)
                kind = 38;
              break;

            case 2:
              if ((0x2400L & l) != 0L && kind > 38)
                kind = 38;
              break;

            case 3:
              if ((0xefffff7bffffdbffL & l) == 0L)
                break;
              if (kind > 40)
                kind = 40;
              jjCheckNAdd(3);
              break;

            case 4:
              if (curChar == 34)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 5:
              if ((0xfffffffbffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 6:
              if (curChar == 34 && kind > 40)
                kind = 40;
              break;

            case 7:
              if (curChar == 39)
                jjCheckNAddTwoStates(8, 9);
              break;

            case 8:
              if ((0xffffff7fffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(8, 9);
              break;

            case 9:
              if (curChar == 39 && kind > 40)
                kind = 40;
              break;

            case 10:
              if ((0x8400000000L & l) != 0L && kind > 40)
                kind = 40;
              break;
            default : break;
          }
        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
            case 3:
              if (kind > 40)
                kind = 40;
              jjCheckNAdd(3);
              break;

            case 5:
              jjAddStates(9, 10);
              break;

            case 8:
              jjAddStates(11, 12);
              break;
            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);

        MatchLoop: do{
          switch(jjstateSet[--i]){
            case 1:
            case 3:
              if ((jjbitVec0[i2] & l2) == 0L)
                break;
              if (kind > 40)
                kind = 40;
              jjCheckNAdd(3);
              break;

            case 5:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(9, 10);
              break;

            case 8:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(11, 12);
              break;
            default : break;
          }
        } while(i != startsAt);
      }

      if (kind != 0x7fffffff){
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 11 - (jjnewStateCnt = startsAt)))
        return curPos;
      try {
        curChar = input_stream.readChar();
      }catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjStopStringLiteralDfa_1(int pos, long active0){
    switch (pos){
      default :
        return -1;
    }
  }

  private final int jjStartNfa_1(int pos, long active0){
    return jjMoveNfa_1(jjStopStringLiteralDfa_1(pos, active0), pos + 1);
  }

  private final int jjStartNfaWithStates_1(int pos, int kind, int state){
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    }catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_1(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_1(){
    switch(curChar){
      case 62:
        return jjStopAtPos(0, 36);
      default :
        return jjMoveNfa_1(7, 0);
    }
  }

  private final int jjMoveNfa_1(int startState, int curPos){

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 7;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();

      if (curChar < 64){
        long l = 1L << curChar;

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 7:
              if ((0xbfffff7bffffffffL & l) != 0L) {
                if (kind > 35)
                  kind = 35;
                jjCheckNAddStates(13, 15);
              } else if (curChar == 39)
                jjCheckNAddTwoStates(5, 6);
              else if (curChar == 34)
                jjCheckNAddTwoStates(2, 3);
              break;

            case 0:
              if ((0xbfffff7bffffffffL & l) == 0L)
                break;
              if (kind > 35)
                kind = 35;
              jjCheckNAddStates(13, 15);
              break;

            case 1:
              if (curChar == 34)
                jjCheckNAddTwoStates(2, 3);
              break;

            case 2:
              if ((0xfffffffbffffffffL & l) != 0L)
                jjCheckNAddTwoStates(2, 3);
              break;

            case 3:
              if (curChar != 34)
                break;
              if (kind > 35)
                kind = 35;
              jjCheckNAddStates(13, 15);
              break;

            case 4:
              if (curChar == 39)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 5:
              if ((0xffffff7fffffffffL & l) != 0L)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 6:
              if (curChar != 39)
                break;
              if (kind > 35)
                kind = 35;
              jjCheckNAddStates(13, 15);
              break;

            default : break;
          }
        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 7:
            case 0:
              if (kind > 35)
                kind = 35;
              jjCheckNAddStates(13, 15);
              break;

            case 2:
              jjAddStates(16, 17);
              break;

            case 5:
              jjAddStates(9, 10);
              break;

            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 7:
            case 0:
              if ((jjbitVec0[i2] & l2) == 0L)
                break;
              if (kind > 35)
                kind = 35;
              jjCheckNAddStates(13, 15);
              break;

            case 2:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(16, 17);
              break;

            case 5:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(9, 10);
              break;

            default : break;
          }
        } while(i != startsAt);
      }

      if (kind != 0x7fffffff){
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 7 - (jjnewStateCnt = startsAt)))
        return curPos;
      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  private final int jjStopStringLiteralDfa_2(int pos, long active0) {
    switch (pos){
      default :
        return -1;
    }
  }

  private final int jjStartNfa_2(int pos, long active0) {
    return jjMoveNfa_2(jjStopStringLiteralDfa_2(pos, active0), pos + 1);
  }

  private final int jjStartNfaWithStates_2(int pos, int kind, int state) {
    jjmatchedKind = kind;
    jjmatchedPos = pos;
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      return pos + 1;
    }
    return jjMoveNfa_2(state, pos + 1);
  }

  private final int jjMoveStringLiteralDfa0_2() {
    switch(curChar) {
      case 45:
        jjmatchedKind = 32;
        return jjMoveStringLiteralDfa1_2(0x80000000L);
      default :
        return jjMoveNfa_2(1, 0);
    }
  }

  private final int jjMoveStringLiteralDfa1_2(long active0) {
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_2(0, active0);
      return 1;
    }
    switch(curChar) {
      case 45:
        return jjMoveStringLiteralDfa2_2(active0, 0x80000000L);
      default :
        break;
    }
    return jjStartNfa_2(0, active0);
  }

  private final int jjMoveStringLiteralDfa2_2(long old0, long active0) {
    if (((active0 &= old0)) == 0L)
      return jjStartNfa_2(0, old0);
    try {
      curChar = input_stream.readChar();
    } catch(java.io.IOException e) {
      jjStopStringLiteralDfa_2(1, active0);
      return 2;
    }
    switch(curChar) {
      case 62:
        if ((active0 & 0x80000000L) != 0L)
          return jjStopAtPos(2, 31);
        break;

      default :
        break;
    }
    return jjStartNfa_2(1, active0);
  }

  private final int jjMoveNfa_2(int startState, int curPos) {

    int[] nextStates;
    int startsAt = 0;
    jjnewStateCnt = 11;
    int i = 1;
    jjstateSet[0] = startState;
    int j, kind = 0x7fffffff;

    for (;;) {
      if (++jjround == 0x7fffffff)
        ReInitRounds();

      if (curChar < 64) {
        long l = 1L << curChar;

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
              if ((0xffffdf7bffffdbffL & l) != 0L) {
                if (kind > 34)
                  kind = 34;
                jjCheckNAdd(3);
              } else if ((0x8400000000L & l) != 0L) {
                if (kind > 34)
                  kind = 34;
              } else if ((0x2400L & l) != 0L) {
                if (kind > 33)
                  kind = 33;
              }

              if (curChar == 39)
                jjCheckNAddTwoStates(8, 9);
              else if (curChar == 34)
                jjCheckNAddTwoStates(5, 6);
              else if (curChar == 13)
                jjstateSet[jjnewStateCnt++] = 0;
              break;

            case 0:
              if (curChar == 10 && kind > 33)
                kind = 33;
              break;

            case 2:
              if ((0x2400L & l) != 0L && kind > 33)
                kind = 33;
              break;

            case 3:
              if ((0xffffdf7bffffdbffL & l) == 0L)
                break;
              if (kind > 34)
                kind = 34;
              jjCheckNAdd(3);
              break;

            case 4:
              if (curChar == 34)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 5:
              if ((0xfffffffbffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(5, 6);
              break;

            case 6:
              if (curChar == 34 && kind > 34)
                kind = 34;
              break;

            case 7:
              if (curChar == 39)
                jjCheckNAddTwoStates(8, 9);
              break;

            case 8:
              if ((0xffffff7fffffdbffL & l) != 0L)
                jjCheckNAddTwoStates(8, 9);
              break;

            case 9:
              if (curChar == 39 && kind > 34)
                kind = 34;
              break;

            case 10:
              if ((0x8400000000L & l) != 0L && kind > 34)
                kind = 34;
              break;

            default : break;
          }
        } while(i != startsAt);

      } else if (curChar < 128) {
        long l = 1L << (curChar & 077);

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
            case 3:
              if (kind > 34)
                kind = 34;
              jjCheckNAdd(3);
              break;

            case 5:
              jjAddStates(9, 10);
              break;

            case 8:
              jjAddStates(11, 12);
              break;
            default : break;
          }
        } while(i != startsAt);

      } else {
        int i2 = (curChar & 0xff) >> 6;
        long l2 = 1L << (curChar & 077);

        MatchLoop: do {
          switch(jjstateSet[--i]) {
            case 1:
            case 3:
              if ((jjbitVec0[i2] & l2) == 0L)
                break;
              if (kind > 34)
                kind = 34;
              jjCheckNAdd(3);
              break;

            case 5:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(9, 10);
              break;

            case 8:
              if ((jjbitVec0[i2] & l2) != 0L)
                jjAddStates(11, 12);
              break;
            default : break;
          }
        } while(i != startsAt);
      }
      if (kind != 0x7fffffff) {
        jjmatchedKind = kind;
        jjmatchedPos = curPos;
        kind = 0x7fffffff;
      }
      ++curPos;

      if ((i = jjnewStateCnt) == (startsAt = 11 - (jjnewStateCnt = startsAt)))
        return curPos;

      try {
        curChar = input_stream.readChar();
      } catch(java.io.IOException e) {
        return curPos;
      }
    }
  }

  static final int[] jjnextStates = {
    0, 2, 3, 6, 7, 9, 10, 3, 4, 5, 6, 8, 9, 0, 1, 4,
    2, 3,
  };

  public static final String[] jjstrLiteralImages = {
    "", null, null, null, null, null, null, null, null, null, null, null, "\74",
    "\74\57", "\74\41\55\55", "\74\41", null, null, null, null, null, null, null, null,
    "\76", "\75", "\74", null, null, null, null, "\55\55\76", "\55", null, null, null,
    "\76", null, null, "\74", null,
  };

  public static final String[] lexStateNames = {
    "LexScript",
    "LexDecl",
    "LexComment",
    "LexAttrVal",
    "LexInTag",
    "LexStartTag",
    "DEFAULT",
  };

  public static final int[] jjnewLexState = {
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 5, 5, 2, 1, -1, -1, -1, 4, 4, 6, -1, -1, 6,
    3, 5, -1, -1, 4, -1, 6, -1, -1, -1, -1, 6, 6, -1, -1, -1,
  };

  static final long[] jjtoToken = {
    0x1ffefbff801L,
  };

  static final long[] jjtoSkip = {
    0x10400000L,
  };

  static final long[] jjtoSpecial = {
    0x10400000L,
  };

  private ASCII_CharStream input_stream;
  private final int[] jjrounds = new int[12];
  private final int[] jjstateSet = new int[24];
  StringBuffer image;
  int jjimageLen;
  int lengthOfMatch;
  protected char curChar;

  public HtmlParserTokenManager(ASCII_CharStream stream) {
    if (ASCII_CharStream.staticFlag)
      throw new Error("ERROR: Cannot use a static CharStream class with a non-static lexical analyzer.");
    input_stream = stream;
  }

  public HtmlParserTokenManager(ASCII_CharStream stream, int lexState) {
    this(stream);
    SwitchTo(lexState);
  }

  public void ReInit(ASCII_CharStream stream) {
    jjmatchedPos = jjnewStateCnt = 0;
    curLexState = defaultLexState;
    input_stream = stream;
    ReInitRounds();
  }

  private final void ReInitRounds() {
    int i;
    jjround = 0x80000001;
    for (i = 12; i-- > 0;)
      jjrounds[i] = 0x80000000;
  }

  public void ReInit(ASCII_CharStream stream, int lexState) {
    ReInit(stream);
    SwitchTo(lexState);
  }

  public void SwitchTo(int lexState) {
    if (lexState >= 7 || lexState < 0)
      throw new TokenMgrError("Error: Ignoring invalid lexical state : " + lexState + ". State unchanged.", TokenMgrError.INVALID_LEXICAL_STATE);
    else
      curLexState = lexState;
  }

  private final Token jjFillToken() {
    Token t = Token.newToken(jjmatchedKind);
    t.kind = jjmatchedKind;
    String im = jjstrLiteralImages[jjmatchedKind];
    t.image = (im == null) ? input_stream.GetImage() : im;
    t.beginLine = input_stream.getBeginLine();
    t.beginColumn = input_stream.getBeginColumn();
    t.endLine = input_stream.getEndLine();
    t.endColumn = input_stream.getEndColumn();
    return t;
  }

  int curLexState = 6;
  int defaultLexState = 6;
  int jjnewStateCnt;
  int jjround;
  int jjmatchedPos;
  int jjmatchedKind;

  public final Token getNextToken() {

    int kind;
    Token specialToken = null;
    Token matchedToken;
    int curPos = 0;

    EOFLoop :
    for (;;) {
      try {
        curChar = input_stream.BeginToken();
      } catch(java.io.IOException e) {
        jjmatchedKind = 0;
        matchedToken = jjFillToken();
        matchedToken.specialToken = specialToken;
        return matchedToken;
      }

      image = null;
      jjimageLen = 0;

      switch(curLexState) {
        case 0:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_0();
          break;

        case 1:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_1();
          break;

        case 2:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_2();
          break;

        case 3:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_3();
          if (jjmatchedPos == 0 && jjmatchedKind > 30) {
            jjmatchedKind = 30;
          }
          break;

        case 4:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_4();
          if (jjmatchedPos == 0 && jjmatchedKind > 27) {
            jjmatchedKind = 27;
          }
          break;

        case 5:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_5();
          if (jjmatchedPos == 0 && jjmatchedKind > 21) {
            jjmatchedKind = 21;
          }
          break;

        case 6:
          jjmatchedKind = 0x7fffffff;
          jjmatchedPos = 0;
          curPos = jjMoveStringLiteralDfa0_6();
          break;
      }

      if (jjmatchedKind != 0x7fffffff) {
        if (jjmatchedPos + 1 < curPos)
          input_stream.backup(curPos - jjmatchedPos - 1);
        if ((jjtoToken[jjmatchedKind >> 6] & (1L << (jjmatchedKind & 077))) != 0L) {
          matchedToken = jjFillToken();
          matchedToken.specialToken = specialToken;
          TokenLexicalActions(matchedToken);
          if (jjnewLexState[jjmatchedKind] != -1)
            curLexState = jjnewLexState[jjmatchedKind];
          return matchedToken;

        } else {
          if ((jjtoSpecial[jjmatchedKind >> 6] & (1L << (jjmatchedKind & 077))) != 0L) {
            matchedToken = jjFillToken();
            if (specialToken == null)
              specialToken = matchedToken;
            else {
              matchedToken.specialToken = specialToken;
              specialToken = (specialToken.next = matchedToken);
            }
          }

          if (jjnewLexState[jjmatchedKind] != -1)
            curLexState = jjnewLexState[jjmatchedKind];
          continue EOFLoop;
        }
      }

      int error_line = input_stream.getEndLine();
      int error_column = input_stream.getEndColumn();
      String error_after = null;
      boolean EOFSeen = false;

      try {
        input_stream.readChar(); input_stream.backup(1);
      } catch (java.io.IOException e1) {
        EOFSeen = true;
        error_after = curPos <= 1 ? "" : input_stream.GetImage();
        if (curChar == '\n' || curChar == '\r') {
          error_line++;
          error_column = 0;
        } else
          error_column++;
      }

      if (!EOFSeen) {
        input_stream.backup(1);
        error_after = curPos <= 1 ? "" : input_stream.GetImage();
      }
      throw new TokenMgrError(EOFSeen, curLexState, error_line, error_column, error_after, curChar, TokenMgrError.LEXICAL_ERROR);
    }
  }

  final void TokenLexicalActions(Token matchedToken) {

    switch(jjmatchedKind) {
      case 26 :
        if (image == null)
          image = new StringBuffer(jjstrLiteralImages[26]);
        else
          image.append(jjstrLiteralImages[26]);

        Token t = new Token();
        t.image       = "<";
        t.kind        = TAG_START;
        t.next        = matchedToken.next;
        t.beginLine   = matchedToken.beginLine;
        t.beginColumn = matchedToken.beginColumn;
        t.endLine     = matchedToken.endLine;
        t.endColumn   = matchedToken.endColumn;
        matchedToken.next  = t;
        matchedToken.kind  = TAG_END;
        matchedToken.image = ">";
        break;
      default :
        break;
    }
  }

}

