package com.opnlb.website.operator;

import org.jblooming.ontology.PersistentFile;
import org.jblooming.operator.Operator;
import org.jblooming.operator.User;
import org.jblooming.security.Permission;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public class WebsiteOperator extends Operator implements ForumOperator {

  private String requestData;
  private PersistentFile image;

  public String getRequestData() {
    return requestData;
  }

  public void setRequestData(String requestData) {
    this.requestData = requestData;
  }

  public PersistentFile getImage() {
    return image;
  }

  public void setImage(PersistentFile image) {
    this.image = image;
  }

  public boolean hasPermissionFor(User u, Permission p) {
    if (this.equals(u))
      return true;
    else
      return super.hasPermissionFor(u,p);
  }



}
