package com.opnlb.website.security;

import org.jblooming.security.Permission;
import org.jblooming.security.Permissions;

/**
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 *         Date: 8-apr-2005 : 15.57.23
 */
public class WebSitePermissions extends Permissions {

  public static final String     WEBWORK_BASE       = "WS_";

  public static final Permission page_canManage = new Permission(WEBWORK_BASE + "page_canManage");
  public static final Permission template_canManage = new Permission(WEBWORK_BASE + "template_canManage");
  public static final Permission portlet_canManage = new Permission(WEBWORK_BASE + "portlet_canManage");

  public static final Permission news_canManage = new Permission(WEBWORK_BASE + "news_canManage");
  public static final Permission news_canWrite = new Permission(WEBWORK_BASE + "news_canWrite");

  public static final Permission dynamic_link_canManage = new Permission(WEBWORK_BASE + "dynamic_link_canManage");
  public static final Permission dynamic_link_canWrite = new Permission(WEBWORK_BASE + "dynamic_link_canWrite");

  public static final Permission rssFeed_canManage = new Permission(WEBWORK_BASE + "rssFeed_canManage");
}
