package com.twproject.classification;

import com.twproject.document.TeamworkDocument;
import org.jblooming.ontology.LoggableIdentifiableSupport;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public class DocumentClassificationAssociation extends LoggableIdentifiableSupport {

  private TeamworkDocument document;
  private DocumentClassification classification;

  public DocumentClassificationAssociation() {
  }

  public DocumentClassificationAssociation(int id) {
    super(id);
  }

  public TeamworkDocument getDocument() {
    return document;
  }

  public void setDocument(TeamworkDocument document) {
    this.document = document;
  }

  public DocumentClassification getClassification() {
    return classification;
  }

  public void setClassification(DocumentClassification classification) {
    this.classification = classification;
  }

}
