package com.twproject.classification;

import com.twproject.resource.Resource;
import org.jblooming.ontology.LoggableIdentifiableSupport;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 */
public class ResourceClassificationAssociation extends LoggableIdentifiableSupport {

  private Resource resource;
  private ResourceClassification classification;

  public ResourceClassificationAssociation() {
  }

  public Resource getResource() {
    return resource;
  }

  public void setResource(Resource task) {
    this.resource = task;
  }

  public ResourceClassification getClassification() {
    return classification;
  }

  public void setClassification(ResourceClassification classification) {
    this.classification = classification;
  }

}
