package com.twproject.classification;

import com.twproject.task.Task;
import org.jblooming.ontology.LoggableIdentifiableSupport;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public class TaskClassificationAssociation extends LoggableIdentifiableSupport {

  private Task task;
  private TaskClassification classification;

  public TaskClassificationAssociation() {
  }

  public TaskClassificationAssociation(int id) {
    super(id);
  }

  public Task getTask() {
    return task;
  }

  public void setTask(Task task) {
    this.task = task;
  }

  public TaskClassification getClassification() {
    return classification;
  }

  public void setClassification(TaskClassification classification) {
    this.classification = classification;
  }

}
