package com.twproject.reservableService;

import org.jblooming.ontology.PersistentFile;
import org.jblooming.ontology.SecuredLoggableHideableSupport;

import java.util.Comparator;

public class ReservableServiceImage extends SecuredLoggableHideableSupport {
  private ReservableService reservableService;
  private PersistentFile image;
  private String description;
  private int orderFactor = 0;


  public ReservableService getReservableService() {
    return reservableService;
  }

  public void setReservableService(ReservableService reservableService) {
    this.reservableService = reservableService;
  }

  public PersistentFile getImage() {
    return image;
  }

  public void setImage(PersistentFile image) {
    this.image = image;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public int getOrderFactor() {
    return orderFactor;
  }

  public void setOrderFactor(int orderFactor) {
    this.orderFactor = orderFactor;
  }

  public static Comparator dataOrder = new Comparator() {
    public int compare(Object o1, Object o2) {
      ReservableServiceImage data1 = (ReservableServiceImage) o1;
      ReservableServiceImage data2 = (ReservableServiceImage) o2;
      final int order1 = data1.getOrderFactor();
      final int order2 = data2.getOrderFactor();
      if (order1 == order2) {
        return 0;
      }
      return order1 - order2;
    }
  };

}
