package com.twproject.reservableService;

import com.twproject.resource.Person;
import org.jblooming.accounting.CenterCost;
import org.jblooming.agenda.Period;
import org.jblooming.ontology.SecuredLoggableHideableSupport;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;


public class Reservation    extends SecuredLoggableHideableSupport  {

 // private Period period;//InizioPrenANSI FinePrenANSI
 // private ReservableService reservableService;//CodRisorsa

  private boolean cancelled=false; //Annullato
  private Person author; //CodRichiedente
  //private Operator owner; //CodUtente

  private Period period;

  private String location;

  private String description;
  private String note;
  private double hourCost;//CostoOrario
  private double otherCost;//Costoforfettario

  private CenterCost costCenter;

 private Set<ReservationGroup> reservationGroups = new HashSet<ReservationGroup>();


  public Iterator getReservationGroupsIterator() {
    Set tmp = new HashSet(getReservationGroups());
    return tmp.iterator();
  }

  public boolean reservationGroupContains(ReservationGroup reservationGroups) {
    return getReservationGroups().contains(reservationGroups);
  }

  public int reservationGroupSize() {
    return getReservationGroups().size();
  }

  public Set<ReservationGroup> getReservationGroups() {
    return reservationGroups;
  }

  private void setReservationGroups(Set<ReservationGroup> reservationGroups) {
    this.reservationGroups = reservationGroups;
  }

  public void removereservationGroupFromMemory(ReservationGroup reservationGroup) {
    getReservationGroups().remove(reservationGroup);
  }
public void addreservationGroupFromMemory(ReservationGroup reservationGroup) {
    getReservationGroups().remove(reservationGroup);
  }





  public Period getPeriod() {
    return period;
  }

  public void setPeriod(Period period) {
    this.period = period;
  }
/*

  public ReservableService getReservableService() {
    return reservableService;
  }

  public void setReservableService(ReservableService reservableService) {
    this.reservableService = reservableService;
  }
*/

  public boolean isCancelled() {
    return cancelled;
  }

  public void setCancelled(boolean cancelled) {
    this.cancelled = cancelled;
  }

  public Person getAuthor() {
    return author;
  }

  public void setAuthor(Person author) {
    this.author = author;
  }


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getNote() {
    return note;
  }

  public void setNote(String note) {
    this.note = note;
  }

  public double getHourCost() {
    return hourCost;
  }

  public void setHourCost(double hourCost) {
    this.hourCost = hourCost;
  }

  public double getOtherCost() {
    return otherCost;
  }

  public void setOtherCost(double otherCost) {
    this.otherCost = otherCost;
  }

//  public ReservationGroup getReservationGroups() {
//    return reservationGroups;
//  }
//
//  public void setReservationGroups(ReservationGroup reservationGroups) {
//    this.reservationGroups = reservationGroups;
//  }


  public String getLocation() {
    return location;
  }

  public void setLocation(String location) {
    this.location = location;
  }

  public CenterCost getCostCenter() {
    return costCenter;
  }

  public void setCostCenter(CenterCost costCenter) {
    this.costCenter = costCenter;
  }
}
