package com.twproject.resource;

import com.twproject.operator.TeamworkOperator;
import org.jblooming.agenda.CompanyCalendar;
import org.jblooming.utilities.DateUtilities;
import org.jblooming.waf.constants.OperatorConstants;
import org.jblooming.waf.settings.ApplicationState;

import java.util.HashSet;
import java.util.Set;


/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 */
public class Service extends Resource {

  private String name;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  /*public Iterator getEventsIterator() {
  Iterator i = null;
  if (workerEvents != null) {
    Set events = new HashSet();
    for (Iterator iterator = workerEvents.iterator(); iterator.hasNext();) {
      events.add(((WorkerEvent) iterator.next()).getEvent());
    }
    i = events.iterator();
  }
  return i;
}*/

  public String getDisplayName() {
    return name;
  }


  public Set<Person> getPersons() {
    return new HashSet();
  }


  public boolean isPersonIn(Person o) {
    return false;
  }

  public long getWorkingHourTotal() {

    String applicationSetting = ApplicationState.getApplicationSetting(OperatorConstants.FLD_WORKING_HOUR_TOTAL);
    if (applicationSetting != null && applicationSetting.trim().length() > 0)
      return DateUtilities.millisFromHourMinuteSmart(applicationSetting);
    else
      return 8 * CompanyCalendar.MILLIS_IN_HOUR;
  }

  public TeamworkOperator getMyself() {
    return null;
  }
  

}
