package com.twproject.security;

import com.twproject.task.Assignment;
import org.jblooming.security.RoleWithArea;
import org.jblooming.utilities.JSP;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class RoleTeamwork extends RoleWithArea {

  private boolean localToAssignment;

  private Set<Assignment> assignments = new HashSet<Assignment>();

  public boolean isLocalToAssignment() {
    return localToAssignment;
  }

  public void setLocalToAssignment(boolean localToAssignment) {
    this.localToAssignment = localToAssignment;
  }


  private Set getAssignments() {
    return assignments;
  }

  private void setAssignments(Set assignments) {
    this.assignments = assignments;
  }

  public Iterator getAssignementsIterator() {
    return assignments.iterator();
  }

  public boolean assignementsContains(Assignment assignment) {
    return assignments.contains(assignment);
  }

  public int assignementsSize() {
    return assignments.size();
  }

  public String getDisplayName() {
   return JSP.w(getName())+(getArea()!=null ? "&nbsp;("+JSP.w(getArea().getName())+")" : "");
 }

}
