package com.twproject.task.financial;

import org.jblooming.ontology.LoggableIdentifiableSupport;

public class Cost extends LoggableIdentifiableSupport {

  private String description;
  private CostAggregator costCenter;
  private CostClassification classification;
  private double realCost;
  private double estimatedCost;
  
  public Cost() {
  }

  public String getName() {
    return getDescription();
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public CostAggregator getCostCenter() {
    return costCenter;
  }

  public void setCostCenter(CostAggregator costCenter) {
    this.costCenter = costCenter;
  }

  public CostClassification getClassification() {
    return classification;
  }

  public void setClassification(CostClassification classification) {
    this.classification = classification;
  }

  public double getRealCost() {
    return realCost;
  }

  public double getEstimatedCost() {
    return estimatedCost;
  }

  public void setRealCost(double realCost) {
    this.realCost = realCost;
  }

  public void setEstimatedCost(double estimatedCost) {
    this.estimatedCost = estimatedCost;
  }

  public Cost getClonedInstance() {
    Cost clone = new Cost();
    clone.setIdAsNew();
    clone.setDescription(getDescription());
    clone.setEstimatedCost(getEstimatedCost());
    clone.setRealCost(getRealCost());
    clone.setCostCenter(getCostCenter());
    return clone;
  }

}
