package com.twproject.two.security;


import com.twproject.two.resource.OperatorOld;

import java.util.Date;
import java.util.Set;

public class AreaOld implements Comparable {

  private String id;
  private String name;
  private OperatorOld owner;

  private boolean deleted;
  private Date lastModified;

  private Set documents;

  public static final String AREA_NAME_EXISTING = "com.twproject.security.AREA_NAME_EXISTING";
  public static final String DIFFERENT_AREA_WITH_SAME_ID_EXISTING = "com.twproject.security.DIFFERENT_AREA_WITH_SAME_ID_EXISTING";
  public static final String AREA = "com.twproject.security.AREA";

  public AreaOld() {
  }

  public AreaOld(String id) {
    this.setId(id);
  }



  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public OperatorOld getOwner() {
    return owner;
  }

  public void setOwner(OperatorOld owner) {
    this.owner = owner;
  }

  public int compareTo(Object o) {
    return this.getId().compareTo(((AreaOld) o).getId());
  }

  public boolean equals(Object o) {
    return this.compareTo(o) == 0;
  }

  public int hashCode() {

    int result = 0;
    if (id != null)
      result = id.hashCode();
    return result;
  }


  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

  public Set getDocuments() {
    return documents;
  }

  public void setDocuments(Set documents) {
    this.documents = documents;
  }

  public void setInherit(boolean inherit) {
  }

  public boolean getInherit() {
    return false;
  }

  public void setPropagate(boolean propagate) {
  }

  public boolean getPropagate() {
    return false;
  }


}
