package com.twproject.two.task;


import com.twproject.two.resource.ResourceOld;

import java.util.Date;

public class StakeHolderOld  {

  private String id;
  private ResourceOld holder;
  private String holdsAs;
  private int risk;

  private boolean deleted;
  private Date lastModified;


  public static final String package_prefix = "com.twproject.task";
  public static final String STAKEHOLDER = package_prefix + ".STAKEHOLDER";

  public StakeHolderOld() {
  }

  public ResourceOld getHolder() {
    return holder;
  }

  public void setHolder(ResourceOld holder) {
    this.holder = holder;
  }

  public String getHoldsAs() {
    return holdsAs;
  }

  public void setHoldsAs(String holdsAs) {
    this.holdsAs = holdsAs;
  }

  public int getRisk() {
    return risk;
  }

  public void setRisk(int risk) {
    this.risk = risk;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  private int compareTo(Object o) {
    int result = 1;
    if (o != null && this.getId() != null) {
      String oId = ((StakeHolderOld) o).getId();
      if (oId != null)
        result = this.getId().compareTo(oId);
    }
    return result;
  }

  public boolean equals(Object o) {
    return this.compareTo(o) == 0;
  }

 

  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

}
