package com.twproject.two.uidgen;


import java.io.Serializable;
import java.util.Date;

public class CounterOld implements Serializable {

  protected String name;
  private int value;

  //these are not persisted
  private boolean deleted;
  private Date lastModified;

  public CounterOld() {
  }

  public CounterOld(String name) {
    this.name = name;
    this.setValue(0);
  }

  public int getCounter() {
    return getValue();
  }

  public void setCounter(int counter) {
    setValue(counter);
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getNextValue() {
    int count = getValue() + 1;
    setValue(count);
    return String.valueOf(count);
  }

  public int getValue() {
    return value;
  }

  public void setValue(int value) {
    this.value = value;
  }

  public String getId() {
    return null;
  }

  public void setId(String id) {
     throw new RuntimeException("Cannot set id on Counter");
   }


  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }
}
