package com.twproject.two.waf.settings;



import java.util.*;

/**
 *
 * User: Pietro Polsinelli
 * Date: 22-apr-2003
 * Time: 11.29.00
 * To change this template use Options | File Templates.
 */
public class SettingParametersOld {

  private String id;

  private Map applicationSettings = new Hashtable();

  private Set hints = new HashSet();

  private Set counters = new HashSet();

  private boolean deleted;
  private Date lastModified;

  public SettingParametersOld() {
  }

  public SettingParametersOld(String id) {
    this.id = id;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public Map getApplicationSettings() {
    return applicationSettings;
  }

  public void setApplicationSettings(Map applicationSettings) {
    this.applicationSettings = applicationSettings;
  }

  public void put(String key, Object value) {
    applicationSettings.put(key, value);
  }

  public Set getHints() {
    return hints;
  }

  /**
   *
   * @param prefix
   * @return the set of hints starting with prefix
   */
  public Set getHints(String prefix) {

    if (hints == null)
      return null;

    Set filtered = new HashSet();
    for (Iterator iterator = hints.iterator(); iterator.hasNext();) {
      String s = (String) iterator.next();
      if (s.indexOf(prefix) == 0)
        filtered.add(s.substring(prefix.length()));
    }
    return filtered;
  }

  public void setHints(Set hints) {
    this.hints = hints;
  }

  public Object getApplicationSetting(String key) {
    return applicationSettings.get(key);
  }

  public Set getCounters() {
    return counters;
  }

  public void setCounters(Set counters) {
    this.counters = counters;
  }

  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

  public boolean equals(Object o) {
    if (this == o) return true;
    if (!(o instanceof SettingParametersOld)) return false;
    if (id == null) return false;
    final SettingParametersOld comm = (SettingParametersOld) o;
    return id.equals(comm.getId());
  }

  public int hashCode() {
    return id == null ?
        System.identityHashCode(this) :
        id.hashCode();
  }

}
