package org.jblooming.classification;

import org.jblooming.ontology.SecuredNodeWithAreaSupport;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public abstract class ClassificationNode extends SecuredNodeWithAreaSupport {

  private String code;
  private String description;

  public ClassificationNode() {
    super();
  }


  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getName() {
    return "("+code+") "+description;
  }
}
