package org.jblooming.security;

import org.jblooming.company.Department;

import java.util.Iterator;
import java.util.Set;

public class GroupDepartment extends Group{
  private Set<Department> departments;


  public Set<Department> getDepartments() {
    return departments;
  }

  private void setDepartments(Set<Department> departments) {
    this.departments = departments;
  }

  public Iterator getDepartmentsIterator(){
    return departments.iterator();
  }

  public boolean departmentsContains(Department department) {
    return departments.contains(department);
  }

  public int departmentsSize() {
    return departments.size();
  }

  public void removeDepartmentFromMemory(Department department) {
    departments.remove(department);
  }

}
