package org.jblooming.utilities;

import java.util.HashMap;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 */
public class HashTable<K,V> extends HashMap<K,V> {

  public V put(K key, V value) {
    if (key == null || value == null)
      throw new RuntimeException("Cannot put null key or value as in Hashtable");
    return super.put(key, value);
  }


}
