package org.jblooming.waf.constants;


public interface Commands {

  String COMMAND = "CM";
  String COMMAND_FOR_TAB = "FORTAB";

  String APPLY = "APPLY";
  String ADD = "AD";
  String EDIT = "ED";
  String DELETE = "DL";
  String FIND = "FN";
  String SAVE = "SV";
  String PRESERVE_STATE = "PS";
  String RECALL = "RC";


   /**
   * @deprecated unnecessary: give directly the page nmumber
   */
  String NEXT = "NX";
  /**
   * @deprecated unnecessary: give directly the page nmumber
   */
  String PREVIOUS = "PR";
  /**
   * @deprecated unnecessary: give directly the page nmumber
   */
  String FIRST = "FR";
  /**
   * @deprecated unnecessary: give directly the page nmumber
   */
  String LAST = "LS";

  String GO = "GO";

  String CUT = "CT";
  String PASTE = "PS";
  String LINK = "LN";
  String UNLINK = "UNL";
  String UP = "UP";
  String DOWN = "DW";
  String LOGIN = "LG";
  String LOGOUT = "LO";
  String CLOSE = "CL";
  String CMD_PERFORM = "PF";
  String BACK = "BACK";
  String BACK_TO = "BACKT";

  String MOVE_TO_SELECTED = "MTS";
  String MOVE_TO_UNSELECTED = "MTU";
  String MOVE_ALL_TO_SELECTED = "MATS";
  String MOVE_ALL_TO_UNSELECTED = "MATU";
  String SYNCHRONIZE = "SYNC";
  String GET_FROM_SELECTED = "GFS";

  String EMPTY = "EM";

  String INSTALL = "INS";
  String UNINSTALL = "UNINS";
  String EDIT_LINE = "EDL";
  String DELETE_LINES = "DLL";
  String DELETE_LINKED = "DLC";
  String DELETE_DESCENDANTS = "DLD";
  String FIND_ADVANCED = "FAV";
  String SHOW_FIND_ADVANCED_FILTERS = "SFAF";
  String FIND_CHILDREN = "FINDCHILDREN";
  String FIND_CHILDREN_CANDIDATES = "FINDCC";
  String FIND_FILTERS = "FINDFILTERS";
  String FIND_ASSOCIATED = "FINDASSOCIATED";
  String FIND_ASSOCIATE_CANDIDATES = "FINDASSOCIATECANDIDATES";
  String SAVE_LINE = "SAVELINE";
  String SAVE_SECURITY = "SAVESECURITY";
  String SAVE_SUCCESS = "SAVESUCCESS";
  String SAVE_CHILDREN = "SAVECHILDREN";
  String GO_TO_PAGE_CONTAINING_ID = "GOTOPAGECONTAININGID";
  String CUT_MULTIPLE = "CUTMULTIPLE";
  String CUT_AND_EDIT = "CUTANDEDIT";
  String PASTE_CHILDREN = "PASTECHILDREN";
  String EMPTY_CLIP = "EMPTYCLIP";
  String DUPLICATE = "DUPLICATE";
  String KEEP_SCREEN = "KEEPSCREEN";
  String FILE_VIEW = "FILEVIEW";
  String RESET_FILTER = "RESETFILTER";
  String UPDATE_WIN_SIZE = "UPDATEWINSIZE";
  String CMD_COMPUTE = "CMDCOMPUTE";
  String CMD_INSERT = "CMDINSERT";
  String SAVE_AND_LOGIN = "SAVEANDLOGIN";
  String SAVE_AND_CLOSE = "SAVEANDCLOSE";
  String SEND = "SEND";
  String VERIFY_ACCOUNT = "VERIFYACCOUNT";
  String EVALUATE = "EVALUATE";
  String NEW = "NEW";
  String DELETE_PREVIEW = "DELETEPREVIEW";
  String EXPAND = "EXPAND";
  String COLLAPSE = "COLLAPSE";
  String OPEN = "OPEN";
  String RELOAD = "RELOAD";
  String UNDO = "UNDO";
  String PRINT=  "PRINT" ;

  // for containers & tabsets
  String CMD_MOVE = "CMDMOVE";
  String CMD_CLOSE = "CMDCLOSE";
  String CMD_HIDE = "CMDHIDE";
  String CMD_RESTORE = "CMDRESTORE";
  String CMD_RESIZE = "CMD_RESIZE";
  String CMD_MAXIMIZE = "CMDMAXIMIZE";
  String CMD_MINIMIZE = "CMDMINIMIZE";
  String CMD_COLLAPSE = "CMDCOLLAPSE";
  String CMD_SETFOCUS = "CMDSETFOCUS";

  String CMD_DEL_FILTER = "CMDDLFLT";

  String START = "START";
  String STOP = "STOP";
  String CMD_SEARCH_AFFILIATION = "CMD_SEARCH_AFFILIATION";
  String CMD_SEARCH_OPERATOR = "CMD_SEARCH_OPERATOR";

  String REFRESH = "REFRESH";
}
