package org.jblooming.waf.constants;

public interface Fields {

  String PACKAGE_PREFIX = "__FLD__";
  String SEPARATOR = "___";

//______________________________________________________________________________________________________________________________________________________________________
//
//                          prefixes
//______________________________________________________________________________________________________________________________________________________________________
  String FORM_PREFIX = "_FP_";
  String VIEW_PREFIX = "_VP_";
  String CHECK_PREFIX = "_CHECK_";
  String PAGER_PREFIX = "_PAGER_";

//______________________________________________________________________________________________________________________________________________________________________
//
//                          page and session keys
//______________________________________________________________________________________________________________________________________________________________________

  String SESSION = PACKAGE_PREFIX + "SESSION";
  String VIEW = PACKAGE_PREFIX + "VIEW";
  String LOGIN_FAILED_WRONG_DATA = PACKAGE_PREFIX + "LOGIN_FAILED_WRONG_DATA";
  String LOGIN_FAILED_ERROR_CONFIGURATION = PACKAGE_PREFIX + "LOGIN_FAILED_ERROR_CONFIGURATION";
  String MISSING_ID = PACKAGE_PREFIX + "MISSING_ID";
  String IMAGES = PACKAGE_PREFIX + "IMAGES";

//______________________________________________________________________________________________________________________________________________________________________
//
//                          general commands
//______________________________________________________________________________________________________________________________________________________________________

//______________________________________________________________________________________________________________________________________________________________________
//
//                          to - from string translators
//______________________________________________________________________________________________________________________________________________________________________

  String TRUE = "yes";
  String FALSE = "no";

  //                          various parameters
  String TOKEN = "TOKEN";
  String PAGE_NUMBER = "PG_NM";
  String ORDER_BY = "ORDER_BY";
  String DISABLE = "DISABLE";
  String FIELD = "FIELD";
  String PARENT_ID = "PARENT_ID";
  String VIEW_NAME = "VIEW_NAME";

//______________________________________________________________________________________________________________________________________________________________________
//
//                          view parameters
//______________________________________________________________________________________________________________________________________________________________________

  String VIEW_ID = VIEW_PREFIX + "V_ID";
  String OBJECT_ID = VIEW_PREFIX + "OBJ_ID";
  String UPLOAD = "UPLOAD";
  String FILE_TO_UPLOAD = "FILE_TO_UPLOAD";
  String URL = VIEW_PREFIX + "FLD_URL";
  String POPUP = VIEW_PREFIX + "POP";
  String NO_RESUBMIT = VIEW_PREFIX + "NO_RSB";
  String NOT = "NOT";
  String SELECT = "SL";
  String UNSELECT = "UNSL";
  String TITLE = "TITLE";
  String FLD_SAVE_HISTORY = "HIST";
  String APPLICATION_NAME = "__APP_NAME__";

  String FLD_FILTER_NAME = "FLNM";
  String FLD_NEW_FILTER_NAME = "NFLNM";
  String FLD_FILTER_NAME_INHIBITED = "FLNMINH";

  String MAIN_CLASS = "MAIN_CLASS";
  String ALL = "ALL";
  String DOWN = "DOWN";
  String UP = "UP";
  String UNIQUE_ID = "UNIQUE_ID";
}