package org.jblooming.waf.constants;

public interface I18nConstants {

  /**
   * @deprecated
   */
  String I18n = "";
  /**
   * @deprecated
   */ 
  String HELP_PREFIX = "";

  String SAVE = "SAVE";
  String RESET = "RESET";

  String DELETE = "DELETE";
  String DELETE_PREVIEW = "DELETE_PREVIEW";
  String DELETE_PROBLEM_FOR_OBJECT = "DPRBOBJ";
  String DELETE_REFERENCES_IN_FIELD = "DELETE_REFERENCES_IN_FIELD";

  String SUBMIT = "SUBMIT";
  String LOGOUT = "LOGOUT";

  String YES = "YES";
  String NO = "NO";

  String EDITOR_CHOOSE = "EDITOR_CHOOSE";

  String I_DONT_HAVE_ACC = "I_DONT_HAVE_ACC";
  String ONE_IS_SUFFICIENT = "ONE_IS_SUFFICIENT";
  String WARN = "WARN";

  String END = "END";

  String FILTER = "FILTER";
  String FILTER_CONTENT = "FILTER_CONTENT";

  String STARTED = "STARTED";
  String STOPPED = "STOPPED";
  String OBJECTS_FOUND = "OBJECTS_FOUND";
  String COMPLETE_FIELD_CONTENT = "COMPLETE_FIELD_CONTENT";
  String REPORTS = "REPORTS";
  String TO = "TO";
  String UNDEFINED_MASC = "UNDEFINED_MASC";
  String UNDEFINED_FEMM = "UNDEFINED_FEMM";
  String WILL_BE_DELETED = "WILL_BE_DELETED";
  String WILL_NOT_BE_DELETED = "WILL_NOT_BE_DELETED";
  String WILL_BE_DISCONNECTED = "WILL_BE_DISCONNECTED";
  String WILL_BE_DISCONNECTED_OR_DELETED = "WILL_BE_DISCONNECTED_OR_DELETED";
  String WILL_LOOSE_ROLE = "WILL_LOOSE_ROLE";
  String WILL_LOOSE_OWNERSHIP = "WILL_LOOSE_OWNERSHIP";
  String ZOOM = "ZOOM";
  String HINT = "HINT";
  String AFFECTED_ELEMENTS = "AFFECTED_ELEMENTS";
  String WILL_LOSE_GROUP = "WILL_LOSE_GROUP";
  String COMPROMISE_SECURITY = "COMPROMISE_SECURITY";
  String NO_ASSIG = "NO_ASSIG";
  String NO_SETTED = "NO_SETTED";
  String NO_DATA = "NO_DATA";
  String ROOT = "ROOT";
  String URL = "URL";
  String BACK = "BACK";
  String HOME = "HOME";
  String RETURN_TO_LIST = "RETURN_TO_LIST";
  String TREEVIEW = "TREEVIEW";
  String TREEVIEW_DISABLED = "TREEVIEW_DISABLED";
  String MODULE_NON_ACTIVE = "MODULE_NON_ACTIVE";

  String WARN_UNDO = "WARN_UNDO";
  String RESTART = "RESTART";

  String SEND = "SEND";
  String DELETE_CHILDREN = "DELETE_CHILDREN";
  String DELETE_DESCENDANTS = "DELETE_DESCENDANTS";
  String DELETE_ALL = "DELETE_ALL";
  String UNLINK = "UNLINK";
  String MOVE_TO_ROOT = "MOVE_TO_ROOT";
  String MOVE_TO_PARENT = "MOVE_TO_PARENT";
  String MOVE_TO_ROOT_OR_DELETE = "MOVE_TO_ROOT_OR_DELETE";
  String PROCEED = "PROCEED";
  String DO_NOT_PROCEED = "DO_NOT_PROCEED";
  String CUT = "CUT";
  String COPY = "COPY";
  String EDIT = "EDIT";
  String PASTE = "PASTE";
  String ASSOCIATE = "ASSOCIATE";
  String DESASSOCIATE = "DESASSOCIATE";
  String ADJUST = "ADJUST";
  String ADD = "ADD";
  String RENAME = "RENAME";
  String USE_QBE = "USE_QBE";
  String USE_DOTTED = "USE_DOTTED";

  String PRINT_CHOOSE = "PRINT_CHOOSE";
  String PRINT = "PRINT";
  String PRINTER_FRIENDLY = "PRINTER_FRIENDLY";
  String ADD_FAVORITE = "ADD_FAVORITE";
  String SEND_MESSAGE = "SEND_MESSAGE";
  String MESSAGE_MODE_MAIL = "MESSAGE_MODE_MAIL";
  String MESSAGE_MODE_STICKY = "MESSAGE_MODE_STICKY";
  String EXPLORE = "EXPLORE";
  String DOWN = "DOWN";
  String STARTIT = "STARTIT";
  String STOPIT = "STOPIT";
  String PAUSED = "PAUSED";
  String OPEN = "OPEN";
  String CLOSE = "CLOSE";
  String LOG_OUT = "LOG_OUT";
  String ORDERBY = "ORDERBY";
  String ORDERBY_ASC = "ORDERBY_ASC";
  String ORDERBY_DESC = "ORDERBY_DESC";
  String SEARCH_IN = "SEARCH_IN";
  String EMPTY_CLIP = "EMPTY_CLIP";
  String CLIP_SIZE = "CLIP_SIZE";


  String MY_HOMEPAGE = "MY_HOMEPAGE";
  String NONE = "NONE";
  String AND = "AND";
  String OR = "OR";
  String SEARCH = "FLD_SEARCH";
  String SEARCH_RESULTS = "SEARCH_RESULTS";
  String SEARCH_FIELDS = "SEARCH_FIELDS";
  String SEARCH_TYPE = "SEARCH_TYPE";
  String SEARCH_CRITERIA = "SEARCH_CRITERIA";
  String SEARCH_ORDER = "SEARCH_ORDER";
  String LIST_GEN_BY = "LIST_GEN_BY";
  String NO_FILTERS = "NO_FILTERS";
  String COUNTERS = "COUNTERS";
  String GENERATE = "GENERATE";
  String NO_HINTS_AVAILABLE = "NO_HINTS_AVAILABLE";
  String UP = "UP";
  String GAP = "GAP";
  String TOTAL = "TOTAL";

  String DAYS = "DAYS";
  String WEEKS = "WEEKS";
  String MONTHS = "MONTHS";

  // MONITOR
  String START = "START";
  String PAUSE = "PAUSE";
  String CLEAR = "CLEAR";
  String ZIPLOG = "ZIPLOG";
  String VIEW_DEBUG = "VIEW_DEBUG";
  String CLEAR_VIEW = "CLEAR_VIEW";
  String UNAVAILABLE = "UNAVAILABLE";
  String SYSTEM_PROPS = "SYSTEM_PROPS";
  String AVAILABLE_PROCESSORS = "AVAILABLE_PROCESSORS";
  String TOTAL_USED_MEMORY = "TOTAL_USED_MEMORY";
  String TOTAL_FREE_MEMORY = "TOTAL_FREE_MEMORY";
  String MAX_AVAILABLE_MEMORY = "MAX_AVAILABLE_MEMORY";
  // Threads
  String TOTAL_THREADS = "TOTAL_THREADS";

  //PAGINATOR
  String PAGE = "PAGE";
  String OF = "OF";
  String FIRST = "FIRST";
  String PREV = "PREV";
  String NEXT = "NEXT";
  String LAST = "LAST";
  String PAGE_SIZE = "PAGE_SIZE";
  String I18N_OBJECTS_FOUND = "OBJECTS_FOUND";
  String I18N_COMPUTE = "COMPUTE";
  String I18N_INSERT = "INSERT";

  String APP_PLATFORM = "APP_PLATFORM";
  String APP_VERSION = "APP_VERSION";

  String EVERY_ITEM = "EVERY_ITEM";

  String DELETE_FILTER = "DELETE_FILTER";

  String I18N_REMOVE_POS = "I18N_REMOVE_POS";
  String I18N_ADD_PART = "I18N_ADD_PART";
  String DESCRIPTION = "DESCRIPTION";
}
