/*
 * Created by Roberto Bicchierai and Pietro Polsinelli.
 * User: Pietro Polsinelli
 * Date: Jul 8, 2002
 * Time: 10:18:53 AM
 */
package org.jblooming.waf.constants;

public interface SecuredNodeConstants {

  String SECUREDNODE = "SECUREDNODE";

// form fields
  String FLD_NODE_ID = Fields.FORM_PREFIX + SECUREDNODE + "NODE_ID";
  String FLD_TYPE = Fields.FORM_PREFIX + SECUREDNODE + "TYPE";
  String FLD_AGG_DESCENDANTS = Fields.FORM_PREFIX + SECUREDNODE + "FLD_AGG_DESCENDANDS";
  String FLD_AGG_ANCESTORS = Fields.FORM_PREFIX + SECUREDNODE + "FLD_AGG_ANCESTORS";
  String FLD_NAME = Fields.FORM_PREFIX + SECUREDNODE + "FLD_NAME";

// commands
// session scoped
// i18n
  String I18N_WORKGROUP = I18nConstants.HELP_PREFIX + SECUREDNODE + "WORKGROUP";
  String I18N_IN_WORKGROUP = I18nConstants.HELP_PREFIX + SECUREDNODE + "IN_WORKGROUP";
  String I18N_OUT_WORKGROUP = I18nConstants.HELP_PREFIX + SECUREDNODE + "OUT_WORKGROUP";
  String I18N_AGGREGATED = I18nConstants.HELP_PREFIX + SECUREDNODE + "AGGREGATED";
  String I18N_CANDIDATES = I18nConstants.HELP_PREFIX + SECUREDNODE + "CANDIDATES";
  String I18N_WORKGROUPS = I18nConstants.HELP_PREFIX + SECUREDNODE + "WORKGROUPS";

// configured urls
  String ROOT_WORKGROUP = SECUREDNODE + "ROOT_WORKGROUP";

// errors
// other constants

}
