package org.jblooming.waf.html.button;

import org.jblooming.oql.QueryHelper;
import org.jblooming.waf.html.state.Form;
import org.jblooming.waf.view.PageState;

/**
 * Created by IntelliJ IDEA.
 * User: angantcha
 * Date: 16-giu-2005
 * Time: 13.59.54
 * To change this template use File | Settings | File Templates.
 */
public class ButtonAz extends ButtonSubmit {
  public static final String TYPEORIZ = "TYPEORIZ";
  public static final String TYPESQUARE = "TYPESQUARE";
  public static final String TYPEVERT = "TYPEVERT";

  public String type = TYPESQUARE;
  public static String inputAzButtonName = "LETTERS";
  public static String inputAzButtonALL = "ALL";
  public String width = "100%";
  public int height = -1; //css px unit measure;
  public String  pressed = "";
  
  public ButtonAz(Form form) {
    super(form);
    typeButtonAz();
  }


  public ButtonAz(Form form,String type) {
    super(form);
    if (type != null && !type.equals(""))
      this.type = type;
    typeButtonAz();
  }

  public ButtonAz(Form form,String type,String inputAzButtonName) {
    super(form);
    if (type != null && !type.equals(""))
      this.type = type;
    if (inputAzButtonName != null && !inputAzButtonName.equals(""))
      this.inputAzButtonName = inputAzButtonName;
    typeButtonAz();
  }

  private void typeButtonAz() {
    this.urlToInclude = "/commons/layout/partButtonAz.jsp";
  }

  public static String addQBEClause(QueryHelper qhelp,String property, String namedParameter, String inputAzButtonName, PageState pageState) {
    if (inputAzButtonName == null || inputAzButtonName.equals(""))
      inputAzButtonName = "LETTERS";
    String inputAzBN = pageState.getEntry(inputAzButtonName).stringValueNullIfEmpty();
    if (inputAzBN != null)
      qhelp.addQBEClause(property, namedParameter, inputAzBN + "%", QueryHelper.TYPE_CHAR);
    return inputAzBN; 
  }

}
