package org.jblooming.waf.html.core;

import org.jblooming.waf.constants.Fields;


/**
 * @author pietro polsinelli info@twproject.com
 */
public class HtmlConstant {

  private final String name;

  private HtmlConstant(String name) {
    this.name = name;
  }

  public String toString() {
    return name;
  }

  public static final HtmlConstant HTML_OBJECT = new HtmlConstant(Fields.FORM_PREFIX + "HTML_OBJECT");
  public static final HtmlConstant HTML_PARAMETERS = new HtmlConstant(Fields.FORM_PREFIX + "HTML_PARAMETERS");
  public static final HtmlConstant HTML_ADDITIONAL_TEXT = new HtmlConstant(Fields.FORM_PREFIX + "HTML_ADDITIONAL_TEXT");
  public static final HtmlConstant HTML_DOCUMENT = new HtmlConstant(Fields.FORM_PREFIX + "HTML_DOCUMENT");
}

