package org.jblooming.waf.html.input;

import org.jblooming.waf.constants.Fields;
import org.jblooming.waf.html.core.JspHelper;
import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

public class CheckField extends JspHelper {

  public String label;
  public String fieldName;
  public boolean putLabelFirst;
  public String script;
  public String additionalOnclickScript;
  public String separator;
  public boolean disabled =false;

  public boolean preserveOldValue = true;
    
  private String actionListened;
  private int keyToHandle;
  private String launchedJsOnActionListened;
  private boolean addKeyPressC = false;
  public String[] trueFalseValues = {Fields.TRUE,Fields.FALSE};

  public CheckField(String fieldName, String separator, boolean putLabelFirst) {
    this(fieldName, fieldName, separator, putLabelFirst);    
  }

  public CheckField(String label, String fieldName, String separator, boolean putLabelFirst) {
    this.urlToInclude = "/commons/layout/partCheckField.jsp";
    this.label = label;
    this.fieldName = fieldName;
    this.putLabelFirst = putLabelFirst;
    this.separator = separator;
    this.id=fieldName;
  }

   public void addKeyPressControl(int keyToHandle, String launchedJs, String actionListened) {
    addKeyPressC =true;
    this.keyToHandle=keyToHandle;
    this.launchedJsOnActionListened=launchedJs;
    this.actionListened=actionListened;
  }

   public boolean isAddKeyPressC() {
    return addKeyPressC;
  }

  public void setAddKeyPressC(boolean addKeyPressC) {
    this.addKeyPressC = addKeyPressC;
  }

  public void toHtmlI18n(PageContext pageContext) {
    PageState pageState = PageState.getCurrentPageState((HttpServletRequest) pageContext.getRequest());
    label = pageState.getI18n(fieldName);
    toHtml(pageContext);
  }

}
