package org.jblooming.waf.html.input;

import org.jblooming.waf.html.core.JspHelper;
import org.jblooming.waf.html.layout.HtmlColors;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 *         Date: 16-feb-2006 : 15.05.54
 */
public class ColorChooser extends JspHelper {

  public final static String COLOR_PREFIX = "CCCP";
  public final static String COLOR_POPUP_PREFIX = "CCCPP";

  public String fieldName;
  public int fieldSize = 3;

  public int colorSquareSize = 20;

  /**
   * if null uses no color
   */
  public String colorSquareBorderColor = "#000000";

  public int howManyColumnsInPopup = 1;


  /**
   * list of color like "#ff6655"
   */
  public List<String> colors = new ArrayList<String>();

  public ColorChooser(String fieldName) {
    this.urlToInclude = "/commons/layout/partColorChooser.jsp";
    this.fieldName = fieldName;

  }


  public void fillColorLighter() {
    int val = 50;
    howManyColumnsInPopup=6;
    String yellow = "#ffff00";
    String red = "#ff0000";
    String green = "#00ff00";
    String blue = "#0000ff";
    String violet = "#ff00ff";
    String black = "#000000";
    for (int i = 1; i <= 5; i++) {
      colors.add(yellow);
      colors.add(red);
      colors.add(green);
      colors.add(blue);
      colors.add(violet);
      colors.add(black);

      yellow = HtmlColors.modifyLight(yellow, val);
      red = HtmlColors.modifyLight(red, val);
      green = HtmlColors.modifyLight(green, val);
      blue = HtmlColors.modifyLight(blue, val);
      violet = HtmlColors.modifyLight(violet, val);
      black = HtmlColors.modifyLight(black, val);


    }
  }


}
