package org.jblooming.waf.html.input;

import org.jblooming.ontology.IdentifiableSupport;
import org.jblooming.waf.html.core.JspHelper;
import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;

/**
 * @author Pietro Polsinelli ppolsinelli@open-lab.com
 * @author Roberto Bicchierai rbicchierai@open-lab.com
 */
public class InLineEdit extends JspHelper {

  public IdentifiableSupport mainObject;
  public String propertyName;


  public static final String init = InLineEdit.class.getName();

  public InLineEdit(IdentifiableSupport mainObject, String propertyName, PageState pageState) {

    this.urlToInclude = "/commons/layout/partInLineEdit.jsp";
    this.propertyName = propertyName;
    this.mainObject = mainObject;

  }

  private void init(PageContext pageContext) {
    PageState ps = PageState.getCurrentPageState((HttpServletRequest) pageContext.getRequest());
    if (!ps.initedElements.contains(init)) {
      pageContext.getRequest().setAttribute(ACTION, INITIALIZE);
      super.toHtml(pageContext);
      ps.initedElements.add(init);
    }
  }

 public void toHtml(PageContext pageContext)  {
       init(pageContext);
        pageContext.getRequest().setAttribute(ACTION, "");
        super.toHtml(pageContext);
    }


}
