package com.opnlb.website.portlet;

import com.opnlb.website.content.Content;
import org.jblooming.oql.QueryHelper;
import org.jblooming.persistence.exceptions.PersistenceException;
import org.jblooming.waf.PageQuark;

import java.util.List;

/**
 * Portlet (c) 2005 - Open Lab - www.open-lab.com
 */
public class Portlet extends PageQuark {

  /**
   * CONSTRUCTORS
   */
  public Portlet () {
  }


  /**
   * BasicPortlet implementation
   */
//  public List<FieldFeature> getParamList(){
//    List<FieldFeature> params = new ArrayList<FieldFeature>();
//    return params;
//  }

  public static List getUsesInPage(Portlet wp) throws PersistenceException {
    String ql = " select cont.id from "+ Content.class.getName()+" as cont ";
    QueryHelper qh = new QueryHelper(ql);
    qh.addJoinAlias(" join cont.page as page ");
    qh.addOQLClause(" cont.portlet = :wp", "wp", wp);
    List pages = qh.toHql().list();
    return pages;
  }


}
