package com.twproject.messaging.stickyNote;

import org.jblooming.waf.html.container.Window;
import org.jblooming.waf.html.core.JspHelper;
import org.jblooming.waf.view.PageState;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.PageContext;


public class StickyNoteDrawer extends JspHelper {

  public StickyNote stickyNote;
  public boolean canWrite=true;
  public boolean belongsToBoard=false;



  public StickyNoteDrawer(StickyNote sn){
    this.urlToInclude = "/applications/teamwork/sticky/stickyDrawer.jsp";
    stickyNote=sn;
  }


  private void init(PageContext pageContext) {
      PageState ps = PageState.getCurrentPageState((HttpServletRequest) pageContext.getRequest());
      if (!ps.initedElements.contains(Window.init)) {
          pageContext.getRequest().setAttribute(ACTION, Window.BOX_INITIALIZE);
          super.toHtml(pageContext);
          ps.initedElements.add(Window.init);
      }
  }


  public void toHtml(PageContext pageContext)  {
      init(pageContext);
      pageContext.getRequest().setAttribute(ACTION, Window.BOX_START);
      super.toHtml(pageContext);
  }


  public String getContainerTableId(){
      return "sntbl_"+stickyNote.getId();
  }
  public String getContainerDivId(){
      return "sndivbdid_"+stickyNote.getId();
  }


  public String getContainerTitleId(){
      return "sntitid_"+stickyNote.getId();
  }

}
