package com.twproject.reservableService;

import org.jblooming.ontology.IdentifiableSupport;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;


public class ReservableServiceType  extends IdentifiableSupport  {
  private String name;
  private String description;
  private  String designerName;//jsp collegato al designer di tipologia

  private Set<ReservableService> reservableServices = new HashSet<ReservableService>();


  public Iterator getReservableServicesIterator() {
    Set tmp = new HashSet(reservableServices);
    return tmp.iterator();
  }

  public boolean reservableServiceContains(ReservableService reservableService) {
    return reservableServices.contains(reservableService);
  }

  public int reservableServiceSize() {
    return reservableServices.size();
  }

  private Set<ReservableService> getReservableServices() {
    return reservableServices;
  }

  private void setReservableServices(Set<ReservableService> reservableServices) {
    this.reservableServices = reservableServices;
  }

  public void removereservableServicesFromMemory(ReservableService serv) {
    reservableServices.remove(serv);
  }


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getDesignerName() {
    return designerName;
  }

  public void setDesignerName(String designerName) {
    this.designerName = designerName;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }
}
