package com.twproject.two.messaging.board;


import com.twproject.two.security.AreaOld;

import java.util.Date;
import java.util.Set;

/**
 * @author Pietro Polsinelli : ppolsinelli@open-lab.com
 */
public class BoardOld {

  private String id;
  private AreaOld area;
  private boolean deleted;
  private Date lastModified;

  private String name;
  private String description;

  private Set stickyNotes;

  public static final String package_prefix = "com.twproject.messaging.board";
  public static final String BOARD = package_prefix + ".BOARD";

  public BoardOld() {
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public AreaOld getArea() {
    return area;
  }

  public void setArea(AreaOld area) {
    this.area = area;
  }

  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Set getStickyNotes() {
    return stickyNotes;
  }

  public void setStickyNotes(Set stickyNotes) {
    this.stickyNotes = stickyNotes;
  }

  
}
