package com.twproject.two.messaging.stickyNote;


import com.twproject.two.resource.OperatorOld;

import java.util.Date;

/**
 * @author pietro polsinelli info@twproject.com
 */
public class StickyNoteOld {

  private String id;
  private String type;
  private OperatorOld sender;
  private OperatorOld receiver;
  private String message;
  private Date created;
  private Date read;
  private String x;
  private String y;
  private String w;
  private String h;
  private boolean iconized;

  private String color;
  private String icon;
  private int zorder;


  private boolean deleted;
  private Date lastModified;

  public static final String package_prefix = "com.twproject.messaging.stickyNote";
  public static final String STICKYNOTE = package_prefix + ".STICKYNOTE";


  public StickyNoteOld() {
  }

  public StickyNoteOld(String id) {
    this.id = id;
  }

  public StickyNoteOld(String id, String message) {
    this.id = id;
    this.message = message;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public OperatorOld getSender() {
    return sender;
  }

  public void setSender(OperatorOld sender) {
    this.sender = sender;
  }

  public OperatorOld getReceiver() {
    return receiver;
  }

  public void setReceiver(OperatorOld receiver) {
    this.receiver = receiver;
  }

  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }

  public Date getCreated() {
    return created;
  }

  public void setCreated(Date created) {
    this.created = created;
  }

  public Date getRead() {
    return read;
  }

  public void setRead(Date read) {
    this.read = read;
  }

  public String getX() {
    return x;
  }

  public void setX(String x) {
    this.x = x;
  }

  public String getY() {
    return y;
  }

  public void setY(String y) {
    this.y = y;
  }

  public String getW() {
    return w;
  }

  public void setW(String w) {
    this.w = w;
  }

  public String getH() {
    return h;
  }

  public void setH(String h) {
    this.h = h;
  }

  public boolean isIconized() {
    return iconized;
  }

  public void setIconized(boolean iconized) {
    this.iconized = iconized;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

  public String getColor() {
    return color;
  }

  public void setColor(String color) {
    this.color = color;
  }

}
