package com.twproject.two.security;


import java.util.Date;
import java.util.Set;


/**
 * @author Pietro Polsinelli, Roberto Bicchierai
 * @version 2 alpha
 * @since JDK 1.3.01 02
 */
public class RoleOld implements Comparable {

  private String id;
  protected String name;
  private String permissionIds;
  private Set permissions = null; //list of Permission object
  private AreaOld area;
  private boolean systemRole;

  private boolean deleted;
  private Date lastModified;




  public RoleOld() {
  }

  public RoleOld(String rId) {
    setId(rId);
  }

  public String getId() {
    return id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }




  public int compareTo(Object o) {
    return this.getId().compareTo(((RoleOld) o).getId());
  }

  public boolean equals(Object o) {
    return this.compareTo(o) == 0;
  }



  public Set getPermissions() {

    return permissions;
  }

  public void setPermissions(Set permissions) {
    this.permissions = permissions;
  }

  public void setId(String id) {
    this.id = id;
  }

  public AreaOld getArea() {
    return area;
  }

  public void setArea(AreaOld area) {
    this.area = area;
  }

  public boolean getSystemRole() {
    return systemRole;
  }

  public void setSystemRole(boolean systemRole) {
    this.systemRole = systemRole;
  }





  public boolean isDeleted() {
    return deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public Date getLastModified() {
    return lastModified;
  }

  public void setLastModified(Date lastModified) {
    this.lastModified = lastModified;
  }

  private void setPermissionIds(String permissionIds) {
    this.permissionIds = permissionIds;
  }
  public String getPermissionIds() {
    return permissionIds;
  }
}
